
                WinRAR - Čo je nové v najnovšej verzii
   
   Verzia 7.13
   
   1. Bola opravená ďalšia zraniteľnosť typu directory traversal, odlišná od tej vo verzii WinRAR 7.12.

      Pri extrahovaní súboru mohli predchádzajúce verzie WinRAR, Windows verzie RAR, UnRAR, 
      prenosný zdrojový kód UnRAR a knižnica UnRAR.dll byť oklamané tak, 
      že použili cestu definovanú v špeciálne vytvorenom archíve namiesto cesty určenej používateľom.
      
      Unixové verzie RAR, UnRAR, prenosný zdrojový kód UnRAR, knižnica UnRAR, ako aj RAR pre Android, 
      nie sú touto zraniteľnosťou ovplyvnené.
      
      Sme vďační Antonovi Cherepanovovi, Petrovi Košinárovi a Petrovi Strýčekovi zo spoločnosti ESET 
      za upozornenie na tento bezpečnostný problém.
  
   2. Opravené chyby:

      a) Vo verzii WinRAR 7.12 príkaz „Importovať nastavenia zo súboru“ zlyhal pri obnove nastavení, 
         ktoré boli uložené verziami programu WinRAR predchádzajúcimi verzii 7.12;

      b) WinRAR 7.12 nastavil väčšiu veľkosť obnovovacích záznamov, než bola špecifikovaná, 
         pre profily kompresie vytvorené vo verzii programu WinRAR 5.21 a starších.
   
   
   Verzia 7.12
   
   1. Pri extrahovaní súboru mohli byť predchádzajúce verzie WinRARu,
      Windows verzie RARu, UnRARu, prenosný zdrojový kód UnRARu 
      a knižnica UnRAR.dll oklamané tak, aby použili cestu definovanú 
      v špeciálne upravenom archíve namiesto cesty definovanej používateľom.

      Unixové verzie RARu, UnRARu, prenosný zdrojový kód UnRARu a knižnica UnRAR,
      rovnako ako aj RAR pre Android, týmto problémom nie sú ovplyvnené.

      Sme vďační používateľovi whs3-detonator spolupracujúcemu s Trend Micro Zero Day Initiative 
      za upozornenie na tento bezpečnostný problém.

   2. V predchádzajúcich verziách programu WinRAR príkaz „Vygenerovať správu“ 
      zahrnul názvy archivovaných súborov do HTML správy tak, ako sú,
      čo umožňovalo vloženie potenciálne nebezpečných HTML tagov do správy.
      Na zabránenie takýmto útokom aktuálna verzia nahrádza znaky `<` a `>`
      v názvoch súborov v HTML správe reťazcami `&lt;` a `&gt;`.

      Sme vďační Marcinovi Bobrykovi (github.com/MarcinB44) za upozornenie na tento bezpečnostný problém.
  
   3. Ak sú súčasne použité možnosti „Otestovať archivované súbory“ a „Obnovovacie zväzky“,
      otestujú sa aj obnovovacie zväzky. Predchádzajúce verzie dokončili test pred vytvorením
      obnovovacích zväzkov, takže tieto neboli otestované.

   4. Presnosť časových údajov súborov na úrovni nanosekúnd je zachovaná
      pre unixové záznamy súborov pri úprave archívu RAR vo Windows.
      Predtým bola táto hodnota konvertovaná na presnosť 100 nanosekúnd.
   
   
   Verzia 7.11
   
   1. Ak je príkaz kontextovej ponuky Prieskumníka „Pridať do archívu...“ 
      použitý na viaceré archívy v koreňovom adresári disku, napríklad 'd:\arc1.rar' a 'd:\arc2.rar', 
      WinRAR navrhne predvolené meno nového archívu ako 'arc1_rar.rar'. 
      Predchádzajúca verzia navrhovala 'arc1.rar', čím aktualizovala 
      jeden z vybraných archívov namiesto vytvorenia nového.   
   
   2. Opravené chyby:
   
      a) WinRAR 7.10 nedokázal aktualizovať pevné archívy obsahujúce záznam priečinka
         umiestnený pred záznamom súboru. Zobrazila sa chybová správa o kontrolnom súčte a proces bol prerušený.
         V dôsledku tejto opravy táto verzia zachováva pôvodnú polohu takýchto 
         priečinkov po aktualizácii a nepresúva ich na koniec archívu, ako to 
         robil WinRAR 7.10;

      b) pri extrahovaní súboru z CAB archívu sa existujúci súbor prepísal, ale neskrátil.
         Ak bol existujúci súbor väčší ako extrahovaný, údaje z pôvodného 
         súboru zostali na konci extrahovaného súboru;

      c) ak bol modul SFX z dialógu „Pokročilé možnosti SFX“ uložený 
         v kompresnom profile, použil sa v pôvodnej podobe, aj keď bol po 
         výbere profilu zmenený formát archívu. To mohlo spôsobiť nekompatibilitu 
         SFX modulu s formátom archívu;

      d) výber hodnoty v bajtoch zo zoznamu v dialógu archívu v poli 
         „Rozdeliť na zväzky o veľkosti“ automaticky nenastavil jednotky na bajty;

      e) ak bol príkaz SFX „TextDone“ použitý spolu s príkazmi „Silent“ 
         a „TempMode“, užívateľská správa po úspešnej extrakcii sa niekedy zobrazila za ostatnými 
         otvorenými oknami;

      f) ak symbolický odkaz smeroval na spustiteľný súbor otvorený z prostredia 
         WinRAR, údaje identifikácie webu v spustiteľnom súbore boli ignorované. 
         Ďakujeme Shimamine Taihei zo spoločnosti Mitsui Bussan Secure Directions, Inc za 
         nahlásenie tohto problému.
         
  
   Verzia 7.10
   
   1. Stránka dialógu „Nastavenia: karta Všeobecné“ bola rozdelená na stránky  
      „Nastavenia: karta Rozhranie“ a „Nastavenia: karta Systém“. Navigácia v dialógu  
      teraz používa vertikálne karty namiesto horizontálnych.

   2. WinRAR nastaví tmavú farebnú schému rozhrania, ak je možnosť „Farebná schéma“  
      v dialógu „Nastavenia: karta Rozhranie“ nastavená na „Tmavá“. Je možné
      nastaviť tmavú alebo svetlú farebnú schému, alebo použiť  
      nastavenia farebnej schémy systému Windows.

   3. Možnosť „Veľké pamäťové stránky“ v dialógu „Nastavenia: karta Systém“ a  
      prepínač príkazového riadka -mlp umožňujú použitie 2 MB pamäťových  
      stránok namiesto predvolených 4 KB pri alokácii veľkých pamäťových  
      oblastí v kompresných a extrakčných procesoch formátu RAR.  

      To umožňuje zlepšiť rýchlosť archivácie a v niektorých prípadoch aj  
      rýchlosť extrakcie. Typicky je zlepšenie výkonu výraznejšie pre väčšie  
      kompresné slovníky a pomalšie kompresné metódy.  

      Táto funkcia vyžaduje oprávnenie „Uzamknúť stránky v pamäti“ a ak  
      chýba, WinRAR navrhne jeho pridelenie aktuálnemu používateľskému účtu,  
      čím ho sprístupní aj pre iný softvér. Aktivácia novoprideleného  
      oprávnenia si vyžaduje reštart systému Windows.  

   4. Možnosť „Iba hodnota zóny“ v dialógu „Nastavenia: karta Zabezpečenie“ riadi,  
      či sa pri propagácii identifikácie webu z archívu na extrahované súbory zahrnie iba hodnota  
      bezpečnostnej zóny alebo všetky dostupné polia.  

      Zatiaľ čo ďalšie polia, ako napríklad poloha, kde bol súbor stiahnutý alebo  
      IP adresa, môžu pomôcť identifikovať zdroj súboru, môžu predstavovať  
      problém s ochranou súkromia, ak sa súbor zdieľa s inými osobami.  

   5. Prepínač -om[-|1][=zoznam] riadi propagáciu identifikácie webu
      v režime príkazového riadka WinRAR aj konzolovej verzie RAR.  

   6. Windows Vista a 32-bitové verzie Windows už nie sú podporované.  
      WinRAR vyžaduje Windows 7 x64 alebo novší.  

      Na rozdiel od WinRAR sú 32-bitové samo-rozbaľovacie moduly stále  
      súčasťou 64-bitového inštalačného balíka.  

   7. Pre možnosti „Delta kompresia“ a „Kompresia spustiteľných súborov“  
      v dialógu „Rozšírené parametre kompresie“ sú teraz dostupné voľby  
      „Automaticky“, „Zapnúť“ a „Vypnúť“.  

      Na zrýchlenie kompresie, nastavenie „Automaticky“ aplikuje tieto  
      možnosti v závislosti od metódy kompresie, napríklad ich vypnutím  
      pre metódy „Najrýchlejšia“ a „Rýchla“. Voľba „Zapnúť“ ich  
      umožní pre všetky metódy.  

   8. Názov premennej prostredia na uloženie predvoleného súboru prepínačov  
      RAR sa zmenil z „RAR“ na „RARINISWITCHES“. Je bežné, že skripty  
      používajú názov premennej „RAR“ na uloženie cesty k spustiteľnému  
      súboru RAR, čo predtým viedlo ku konfliktu názvov.  

   9. Možnosti „Titulok správy zobrazenej po dokončení extrakcie“ a „Text správy zobrazenej po dokončení extrakcie“  
      na karte „Text“ v dialógu „Rozšírené možnosti SFX“ umožňujú  
      definovať vlastnú správu zobrazenú po úspešnom dokončení extrakcie  
      SFX archívu.  

      Táto správa sa dá pridať aj pomocou príkazu SFX skriptu „TextDone“.  

      Možnosti loga a ikony SFX boli presunuté na novú stránku  
      „Logo a ikona“ v dialógu „Rozšírené možnosti SFX“. Navigácia v  
      dialógu teraz používa vertikálne karty namiesto horizontálnych.  

   10. Kontextová ponuka Windows 11:  

       a) profily kompresie v novej kontextovej ponuke sú umiestnené nad  
          príkazmi extrakcie, podobne ako v pôvodnej kontextovej ponuke;  

       b) medzi skupiny príkazov na otvorenie archívu, extrakciu a archiváciu  
          sú vložené oddeľovacie čiary.  

   11. Pri extrakcii súboru s atribútom NTFS „Skomprimované“ sa tento atribút  
       priradí na začiatku extrakcie, čo typicky skracuje čas extrakcie  
       v porovnaní s jeho priradením po zapísaní dát súboru.  

   12. Pri pridávaní súborov do existujúceho archívu RAR sú predtým uložené  
       priečinky presunuté na pozíciu po novopridaných súboroch.  

   13. Dočasný súbor sa už nevytvára pri príkaze „rar ch -tl“, ak iné  
       prepínače alebo parametre archívu nevyžadujú úpravu archívu.  

   14. Ak je archív prerušený v bloku obnovovacieho záznamu alebo  
       v informačných blokoch rýchleho otvorenia, po štandardnej správe  
       „Neočakávaný koniec archívu“ sa zobrazí ďalšia správa s typom  
       bloku, v ktorom prerušenie nastalo.  

   15. Kompresný algoritmus RAR môže využívať viacero skupín 
       procesorov Windows na použitie až maximálne podporovaných 64 logických procesorov.  

       To môže zlepšiť rýchlosť kompresie RAR na systémoch, 
       kde počet logických procesorov presahuje 64 a nie je násobkom 64.
       Predtým bol maximálny počet logických procesorov obmedzený 
       na veľkosť jednej procesorovej skupiny, napríklad na 36 pri 72 procesoroch. 

   16. Okrem veľkosti sa teraz pri príkaze „Zobraziť informácie“ zobrazí  
       aj percento veľkosti archívu pre obnovovací záznam.

       Pre archívy RAR 5.0 ide o presnú hodnotu zadanú pri vytváraní záznamu na obnovenie.  
       Pre staršie formáty RAR ide o približnú hodnotu vypočítanú z dostupných údajov.       

   17. Pri otváraní vnoreného archívu v inom archíve otvorenom v programe WinRAR,
       sa údaje identifikácie webu priradia vnorenému archívu, pokiaľ  
       možnosť „Propagovať identifikáciu webu“ v dialógu „Nastavenia: karta Zabezpečenie“  
       nie je nastavená na „Nikdy“. Predtým bol tento údaj priradený iba v prípade, 
       že táto možnosť bola nastavená na „Pre všetky súbory“ alebo „Pre súbory definované používateľom“
       a zoznam týchto typov obsahoval príponu archívu.

       Zoznamy „Pre súbory office“ a „Pre spustiteľné súbory a súbory office“ 
       teraz zahŕňajú aj populárne prípony archívov podporované WinRAR-om.

       Priradenie identifikácie webu k vnoreným archívom umožňuje jeho propagáciu aj do súborov
       extrahovaných z týchto archívov, čo nebolo v predchádzajúcich verziách vykonávané automaticky.

       Ďakujeme Qize Wang (ADLab of VenusTech) za upozornenie na tento problém.

   18. Opravy chýb:  

       a) Ak boli do existujúceho čiastočne pevného RAR archívu, vytvoreného s prepínačmi -se alebo -s<N>, 
          pridané nové súbory, tieto súbory mohli byť poškodené. Tento problém neovplyvňuje bežné pevné archívy
          vytvorené s prepínačom -s ani bežné alebo delené archívy;

       b) Aj keď pri kompresnej metóde -m1 „najrýchlejšia“ nie je používané rozšírené vyhľadávanie, 
          prepínače -m1 -mcl+ alebo -m1 -mcl so slovníkom 256 MB alebo väčším stále alokovali pamäť 
          potrebnú pre algoritmus rozšíreného vyhľadávania;

       c) Ak bola pri extrahovaní súboru z podpriečinka archívu zapnutá možnosť 
          „Odstrániť nadbytočné priečinky z cesty pre rozbalenie“, kliknutie na „..“ 
          v zozname súborov následne zobrazilo priečinok obsahujúci daný archív 
          namiesto nadradeného priečinka v rámci archívu;

       d) Ak bola aplikácia spustená z archívu a vytvorila viacero súborov s monotónne rastúcim dátumom, 
          WinRAR mohol zobrazovať výzvu na aktualizáciu archívu pre každý vytvorený súbor namiesto jedinej výzvy. 

   
   Verzia 7.01
   
   1. Opravené chyby:

      a) aktualizácia šifrovaného súboru v pevnom RAR archíve spôsobila
         poškodenie daného archívu, ak aktualizovaný súbor bol prvým v archíve,
         nebolo zadané heslo pri začatí aktualizácie a šifrovanie názvu súboru
         v aktualizovanom archíve nebolo povolené;

      b) WinRAR 7.00 neočakávane spadol po prepnutí do režimu "Podrobné zobrazenie priečinkov"
         z podpriečinka archívu;

      c) prepínač -ep4 zdvojil zadanú cestu namiesto jej vylúčenia
         pri extrahovaní;

      d) ak archív vytvorený programom RAR pre Unix obsahoval symbolické odkazy s
         oddeľovacími znakmi cesty v cieľových cestách, tieto znaky mohli byť
         poškodené pri úprave takéhoto archívu pomocou programu RAR pre Windows;

      e) neplatný názov súboru bol zobrazený v chybových hláseniach
         programu WinRAR pri premenovaní a spustení súboru;

      f) príkaz SFX "Shortcut" nedokázal rozpoznať prázdne parametre
         definované ako "Shortcut=D,"",folder", pričom správne rozpoznával
         takéto parametre bez úvodzoviek ako "Shortcut=D,,folder";

      g) rekonštrukcia zväzku nefungovala v programe WinRAR.exe, ak bol príkaz "rc"
         zadaný so súborom s príponou .rev, napríklad "WinRAR rc arc.part1.rev".
         Na rozdiel od programu RAR, program WinRAR v tomto prípade vyžadoval 
         použitie iba súborov s príponou .rar.
   
   
   Verzia 7.00
   
   1. Veľkosti slovníka pre kompresiu väčšie ako 1 GB sú podporované
      pre formát archívu RAR. V závislosti na množstve fyzicky
      dostupnej pamäte môže byť vybraný slovník až do veľkosti 64 GB.

      Pre slovníky väčšie ako 4 GB je možné určiť veľkosti,
      ktoré nie sú mocninami čísla 2. Preto nie je obmedzenie na rady
      4, 8, 16, 32, 64 a je možné používať hodnoty ako 5 GB alebo 22 GB.

      Archívy so slovníkmi presahujúcimi 4 GB môžu byť rozbalené len
      pomocou programu WinRAR 7.0 alebo novšieho. Na rozbalenie
      archívov so slovníkmi presahujúcimi 1 GB je potrebná 64-bitová
      verzia programu WinRAR.

      Zväčšenie veľkosti slovníka môže zlepšiť pomer kompresie
      pre veľké súbory s vzdialenými opakujúcimi sa blokmi, ako sú
      obrazy diskov virtuálnych strojov. Tiež môže byť účinné
      pre sady veľkých podobných súborov v pevnom archíve, ako je
      kolekcia ISO obrazov softvéru s rôznymi verziami alebo lokalizáciami.

   2. WinRAR vydáva upozornenie umožňujúce zrušenie alebo pokračovanie,
      ak veľkosť slovníka v rozbalenom archíve RAR presahuje parameter
      "Maximálna veľkosť slovníka povolená na extrakciu" v dialógu "Nastavenia/Kompresia".
      Zabraňuje to nečakanej nadmernej alokácie pamäte.

      V režime príkazového riadku program WinRAR štandardne odmieta rozbaľovať
      archívy s veľkosťou slovníka presahujúcou 4 GB. Na povolenie
      rozbaľovania slovníkov až do zadaných veľkostí sa používajú prepínače
      -md<veľkosť> alebo -mdx<veľkosť>. Na rozdiel od -md<veľkosť> sa -mdx<veľkosť>
      používa len pri rozbaľovaní a môže byť pridaný do prostredia RAR,
      neovplyvňujúc príkazy archivácie.

   3. Dialóg "Špecifikovať veľkosť slovníka" v dialógu "Nastavenia/Kompresia" môže byť použitý
      na prispôsobenie veľkostí slovníka navrhovaných v zozname
      priradenom k poľu "Veľkosť slovníka" v dialógu "Názov a parametre archívu".

   4. Alternatívny vyhľadávací algoritmus, optimalizovaný na lokalizáciu dlhších
      a vzdialenejších opakujúcich sa dátových blokov, môže byť použitý
      pri vytváraní archívov RAR. Pomáha to zlepšiť pomer kompresie
      a niekedy aj rýchlosť pre redundantné údaje ako sú veľké textové súbory.
      
      Zvyšuje to spotrebu pamäte a môže znížiť rýchlosť kompresie
      pre niektoré typy údajov. Dá sa zapnúť alebo vypnúť s
      možnosťami "Rozšírené vyhľadávanie" v dialógu "Pokročilé parametre kompresie"
      alebo s prepínačom -mcl[+|-]. Ak je vybraná možnosť "Automaticky",
      WinRAR aplikuje rozšírené vyhľadávanie v závislosti na metóde kompresie,
      veľkosti slovníka a ďalších parametroch.

      Tento algoritmus je potrebný pre slovníky presahujúce 4 GB
      a vypnutie sa pre takéto slovníky ignoruje.

   5. Oveľa pomalší a podrobnejší algoritmus opakovaného vyhľadávania a kompresie dát 
      môže byť aktivovaný pomocou možnosti "Dôkladné vyhľadávanie" 
      v dialógovom okne "Pokročilé parametre kompresie" 
      alebo pomocou prepínača -mcx. Môže poskytnúť dodatočný kompresný zisk pre niektoré typy nadbytočných dát,
      ale pri oveľa nižšej rýchlosti kompresie.

      Rozšírené vyhľadávanie je potrebné na efektívnu implementáciu tohto režimu,
      takže možnosť dôkladného vyhľadávania ju automaticky aktivuje.

      Ani možnosti rozšíreného ani dôkladného vyhľadávania neovplyvňujú kompatibilitu vytvorených archívov.
      Takže ak je veľkosť slovníka v rozsahu od 128 KB do 4 GB, archívy vytvorené s týmito možnosťami 
      vyhľadávania môžu byť rozbalené všetkými verziami programu WinRAR začínajúc od verzie 5.0.

   6. Maximálny limit dĺžky cesty sa zvyšuje z 2047 na 65535 znakov.
   
   7. Vytváranie archívov vo formáte RAR 4.x už nie je podporované.
      Možnosti a prepínače špecifické pre tento formát boli odstránené.
      To však neovplyvňuje rozbaľovanie archívov RAR 4.x, ktoré je súčasťou
      programu WinRAR.

   8. Možnosť "Propagovať znak Web" v dialógu "Nastavenia/Bezpečnosť"
      riadi propagovanie znaku Web z archívu do extrahovaných súborov.
      Je možné zakázať propagáciu, povoliť ju pre niekoľko
      preddefinovaných skupín súborov, pre všetky súbory alebo pre súbory
      zodpovedajúce užívateľsky definovaným maskám súborov.

      Znak Web je bezpečnostná informácia o zóne pridaná internetovými
      prehliadačmi k stiahnutým súborom. Môže byť použitý rôznym softvérom
      na účely zabezpečenia.

      Propagácia je podporovaná iba cez GUI programu WinRAR. Konzolový RAR nepropaguje
      znak Web bez ohľadu na túto možnosť.

   9. Stĺpec "Atribúty" je možné povoliť v "Nastavenia/Zoznam súborov/Stĺpce".
      Zobrazuje skratky atribútov súborov, ako napríklad 'A' pre "Archív"
      a 'D' pre priečinok.

      Ak atribút súboru nie je medzi tými, ktoré sú rozpoznané programom WinRAR,
      je zobrazená aj číselná hodnota atribútov súborov.
      Táto hodnota používa hexadecimálny formát pre atribúty Windows
      alebo oktálny formát pre atribúty Unix-u.
   
  10. Príkaz "Výkonnostný test" umožňuje špecifikovať presný počet vlákien
      a kopírovať výsledky do schránky. Informácie o verzii programu WinRAR
      a Windows, CPU a pamäti sa pridávajú do okna výkonnostného testu.
   
  11. Možnosť "Odstrániť nadbytočné priečinky z cesty extrakcie"
      v dialógu "Nastavenia/Cesty" je teraz aplikovateľná aj na príkazy extrakcie
      spúšťané z užívateľského rozhrania programu WinRAR a na viaceré archívy
      rozbalené do samostatných priečinkov. Odstráni posledný komponent cesty,
      iba ak jeho názov zodpovedá názvu archívu a koreňovému
      priečinku archívu, pričom neexistujú žiadne ďalšie priečinky
      alebo súbory v koreňovej časti archívu.

  12. Možnosť "Zalamovanie slov v poznámke" v skupine možností "Rozhranie"
      v "Nastavenia/Všeobecné" prepína režim zalamovania slov v okne
      poznámky archívu.
   
  13. Údaje o veľkosti slovníka sú teraz dostupné v dialógu informácií
      o archíve pre archívy .bz2, .lz, .tar.bz2, .tar.gz, .tar.lz, .tar.zst.

  14. Prepínač -ol- zamedzuje archivovaniu a extrahovaniu symbolických odkazov.
   
  15. Prepínače -sl<veľkosť>[u] a -sm<veľkosť>[u] rozpoznávajú [k|K|m|M|g|G|t|T]
      jednotky veľkosti pre kilobajty, tisíce bajtov, megabajty, milióny
      bajtov, gigabajty, miliardy bajtov, terabajty, bilióny bajtov. 
      Ak je znak jednotky 'b', 'B' alebo nie je prítomný, predpokladajú sa bajty.

      Predtým tieto prepínače prijímali iba bajty.

  16. Príkaz SFX TempMode prijíma voliteľný parameter @set:user,
      umožňujúci upraviť oprávnenia dočasného priečinku tak, že k nemu má
      prístup iba aktuálny používateľ. Zakazuje používateľovi
      v lokálnom priečinku nahradiť súbory, ak je SFX spustený
      pod iným účtom.

      Dá sa tiež aktivovať s možnosťou "Obmedziť prístup k priečinku"
      v dialógu "Rozšírené možnosti SFX/Režimy".

      Niektóre inštalátory by mohli zlyhať pri štarte v priečinku vytvorenom s
      parametrom @set:user.
   
  17. Oprávnenia k súborom a alternatívne prúdy NTFS nie sú uložené pre
      pevné odkazy. Uložia sa iba pre zdrojový súbor,
      na ktorý sa tieto odkazy odvolávajú. To umožňuje zmenšiť veľkosť
      archívu, pretože tieto vlastnosti sa automaticky prenášajú do kópií
      počas extrahovania.

  18. Klávesové skratky, ako napríklad Ctrl+A pre výber všetkých súborov
      alebo Alt+E pre rozbalenie nájdených archívov, sú odteraz funkčné v okne
      "Výsledky vyhľadávania" aj počas vyhľadávania. Predtým boli dostupné
      iba po dokončení vyhľadávania.
   
  19. Prepínač -v<veľkosť>[jednotka] rozpoznáva 't' a 'T' ako terabajty a
      bilióny bajtov ako jednotky veľkosti zväzkov.
   
  20. Upozornenie sa zobrazí, ak chýba vedúci znak '-' v parametroch
      uvedených v poli "Doplnkové prepínače" dialógu archivácie 
      a extrakcie vo WinRAR. Tiež sa zobrazí pre parametre bez '-'
      v premenných prostredia RAR a súbore rar.ini.

      Predtým boli takéto chybné parametre ignorované bez upozornenia.

  21. Príkaz "Skonvertovať archívy" zobrazuje celkový priebeh operácie priebežne.
      Predtým bol celkový priebeh náhle aktualizovaný po konvertovaní
      archívu a bol viditeľný iba pri spracovaní viacerých archívov.

  22. Pri spracovaní cieľov symbolických odkazov je zobrazený správny priebeh.

  23. Možnosť "Integrovať WinRAR do Windows" v dialógu "Nastavenia/Integrácia"
      nie je dostupná, ak je prítomné nastavenie "Global\Integrácia=0" v súbore winrar.ini.

  24. 64-bitová verzia programu WinRAR používa 64-bitové SFX moduly ako predvolené.
      Na rozbaľovanie archívov so slovníkmi presahujúcimi 1 GB
      sú potrebné 64-bitové SFX moduly.

      32-bitové moduly sú premenované na Default32.SFX, Zip32.SFX, WinCon32.SFX.

  25. Maximálna povolená veľkosť slovníka pre archiváciu a extrakciu
      môže byť určená v gigabajtoch v premenných MaxDictA a MaxDictE
      v kľúči Registra "HKEY_CURRENT_USER\Software\WinRAR\Policy".
      Ak sú tieto premenné menšie ako príslušné hodnoty definované
      v programe WinRAR, prepíšu hodnoty v programe WinRAR.
      
  26. Konzolový program RAR odfiltruje znak 27 z výstupov. Je to urobené
      z bezpečnostných dôvodov, pretože tento znak môže byť použitý na definovanie
      ANSI kontrolných postupností v niektorých aplikáciách.

      Ďakujeme Siddharthovi Dushanthovi, že nás upozornil na túto problematiku.

  27. Opravené chyby:

      a) Bolo možné prepísať obsah značky Web, ktorá sa propaguje
         z archívu na extrahované súbory, a upraviť tak informáciu o bezpečnostnej zóne
         pomocou špeciálne vytvoreného .rar archívu.

         Ďakujeme Orangeovi Tsaiovi a NiNi z tímu DEVCORE Research
         pracujúcich s Trend Micro Zero Day Initiative, že nás informovali
         o tejto bezpečnostnej chybe.

         Na rozdiel od programu WinRAR, knižnica unrar.dll nepropaguje značku Web z archívu
         a necháva to na aplikácii, aby ju priradila k extrahovaným súborom.
         Takže knižnica unrar.dll nie je touto chybou ovplyvnená;

      b) Políčko "Prípony archívov definované užívateľom" v "Nastavenia/Integrácia"
         nebolo uložené, ak bol winrar.ini použitý na ukladanie nastavení
         a WinRAR bol spustený pod účtom používateľa bez administrátorských práv.
   
   
   Verzia 6.24

   1. Opravené chyby:

      a) Príkaz rozbalenia z programu WinRAR a knižnice UnRAR.dll dereferencoval
         smerník na neexistujúcu hodnotu (null), čo spôsobilo pád programu.
         Tento problém nastával pri pokuse o spracovanie prázdneho reťazca,
         ktorý mal reprezentovať názov archívu. Tento prázdny reťazec musel byť
         uložený pomocou prepínača -am do metadát archívu.
         
         Chceli by sme sa poďakovať Radoslawovi Madejovi zo spoločnosti Check Point software
         za nahlásenie tohoto problému;
   
      b) Príkaz rozbalenia z programu WinRAR a knižnice UnRAR.dll prepísal
         rozbalené súbory obsahom z alternatívneho dátového prúdu ::$DATA NTFS v prípade,
         že sa takýto dátový prúd nachádzal v rozbalovanom archíve.
         Zároveň veľkosť rozbalených dát a kontrolný súčet nemuseli sedieť
         s údajmi zobrazenými v programe WinRAR. Tento problém nemal neovplyvňoval
         názov súboru a jeho typ. Tieto údaje sa zobrazovali správne.
         
         Chceli by sme sa poďakovať Ataovi Hakcilovi za nahlásenie tohoto problému.
   
   
   Verzia 6.23

   1. Bola pridaná podpora extrakcie archívov formátu XZ, ktoré vznikli použitím filtra ARM64

   2. Dočasné súbory formátu Rar$LS*, ktoré vznikajú pri spustení operácie
      extrakcie alebo testovania viacerých archívov z kontextovej ponuky
      operačného systému Windows, sú v novej verzii programu WinRAR
      zmazané ihneď po ukončení danej operácie. V predchádzajúcich verziách
      programu WinRAR boli tieto súbory zmazané až pri nasledujúcom spustení
      programu WinRAR a aj to len ak boli staršie ako 1 hodinu.

   3. Opravené chyby:

      a) bola opravená chyba, ktorá sa týkala bezpečnostnej hrozby zápisu
         mimo vyhradenú pamäť. Chyba sa nachádzala kóde zodpovednom
         za spracovanie obnovovacích zväzkov formátu RAR4.

         Chceli by sme sa poďakovať používateľovi goodbyeselene
         a iniciatíve Trend Micro Zero Day, ktorí nás na túto chybu upozornili;

      b) program WinRAR mohol spustiť nesprávny súbor v prípade,
         že požívateľ použil dvoj-klik na položku v špeciálne vytvorenom archíve.
         
         Chceli by sme sa poďakovať Andreyovi Polovinkinovi zo skupiny
         Group-IB Threat Intelligence, ktorý nás na túto chybu upozornil;

      c) ak boli v archíve formátu ZIP pre daný súbor dostupné aj NTFS aj Unix
         časové údaje, príkaz extrakcie ignoroval 2. sadu časových údajov
         aj keď poskytovali viac informácii ako prvá sada;

      d) témy používateľského rozhrania boli aplikované na ikony archívov
         aj v prípade, že možnosť "Použiť aj na ikony archívov" v dialógu
         "Správa tém" bola vypnutá.
   
   
   Verzia 6.22

   1. Opravené chyby:

      a) rozbaľovanie jednotlivých súborov z archívu typu solid,
         ktorý bol vytvorený programom RAR vo verzii staršej ako 2.0,
         mohlo zlyhať, ak sa na rozbalenie použil program WinRAR vo
         verzii 6.20 alebo 6.21. Táto chyba neovplyvňovala rozbalenie
         celého archívu naraz;

      b) súbory v archíve formátu Unix ARJ mohli byť, v zozname súborov
         programu WinRAR, nesprávne zobrazené ako priečinky;

      c) možnosť rozbalenia "Zobraziť súbory v prieskumníkovi súborov"
         bola ignorovaná v prípade, že možnosť "Po dokončení" bola nastavená
         na "Ukončiť program WinRAR" a daný archív bol pred samotným
         rozbalením otvorený v programe WinRAR;

      d) hodnota veľkosti súboru, zobrazovaná v stavovom paneli
         interného prehliadača programu WinRAR, nezahŕňala počiatočnú
         sekvenciu bajtov "byte order mark" (BOM) daného súboru. Tým pádom
         zobrazovaná hodnota bola nižšia ako skutočná veľkosť súboru.
         Táto chyba sa vyskytovala pri súboroch so znakovou sadou Unicode.
         
         
   Verzia 6.21

   1. Čas poslednej modifikácie súboru a priečinku sú obnovené pri rozbaľovaní
      archívov formátu TAR alebo archívov, ktorých formát je založený na formáte TAR
      ako napr. tar.gz and tar.bz2. V predchádzajúcej verzii programu WinRAR
      sa obnovoval čas poslednej modifikácie iba pre súbory.
   
   2. Bola pridaná podpora pre dekompresiu archívov .tar.zst
      so slovníkom väčším ako 128 MB.

   3. Pre prepínače -ed a -e+d bola pridaná podpora archívov formátu ZIP.

   4. Opravené chyby:

      a) ak bol nezašifrovaný súbor uložený za zašifrovaným v rámci jedného archívu
         formátu RAR a oba súbory boli rozbalené súčasne jednou operáciou, program
         WinRAR predchádzajúcej verzie zlyhal pri rozbaľovaní nezašifrovaného súboru;

      b) v niektorých prípadoch, pri otváraní súboru, bola na druhom riadku chybovej správy
         zobrazená nesprávna detailná chybová hláška.

   
   Verzia 6.20

   1. Ak je voľba "Automatická detekcia hesla" v dialógu "Správa hesiel"
      povolená, tak v prípade, ze sa heslo aktuálne spracovávaného archívu
      nachádza medzi uloženými heslami, bude toto heslo automaticky aplikované.
      Táto funkcionalita je k dispozícii iba pre archívy formátu RAR 5.0 a ZIP,
      ktoré umožňujú rýchlu kontrolu validity hesla.
      
      Existuje možnosť, že automatická detekcia hesla pri archívoch formátu ZIP
      nesprávne zvolí heslo a rozbalenie archívu zlyhá. V takom prípade skúste
      deaktivovať voľbu "Automatická detekcia hesla" a zopakujte rozbalenie
      daného archívu s tým, že heslo zadáte manuálne.

   2. Ak operácia rozbalenia zahŕňa iba časť súborov z RAR archívu, dodatočné
      analýzy archívu sú vykonané pri spustení danej operácie. Zaručuje to
      správne rozbalenie súborov uložených ako referencie bez nutnosti rozbalenia
      zdrojového súboru. V nektorých prípadoch je však rozbalenie zdrojového
      súboru nutné. Takýmito prípadmi môže byt rozbalenie viac-zväzkového archívu,
      ktorého zväzky sú uložené na viacerých vymeniteľných médiách
      alebo archívy obsahujúce veľké množstvo referencií.

      V niektorých prípadoch, pri rozbaľovaní individuálnych súborov zo semi-solid
      archívu vytvoreného s použitím prepínačov -s<N> a -se, môžu tieto dodatočné analýzy
      pomôcť zoptimalizovať množstvo spracovávaných dát.

   3. Voľba "Uložiť pôvodný názov a časové údaje archívu" umožňuje uložiť pôvodný názov
      a čas vytvorenia archívu. Ak je táto voľba zapnutá, tak sa tieto uložené údaje zobrazujú
      aj stránke vyvolanej príkazom "Zobraziť informácie. Zároveň je potom tieto údaje možné
      v dialógu "Archív: karta Možnosti" obnoviť. Obnovenie spôsobí premenovanie archívu
      na pôvodný názov a ako čas vytvorenia a čas modifikácie archívu sa nastaví pôvodný čas vytvorenia.
      
      Prepínač -ams umožňuje uložiť pôvodný názov a čas vytvorenia archívu. Môže byť použitý
      spolu s príkazmi určenými na úpravu archívu. Prepínač -amr umožňuje obnoviť uložené hodnoty.
      Obnovenie spôsobí premenovanie archívu na pôvodný názov a ako čas vytvorenia a čas modifikácie
      archívu sa nastaví pôvodný čas vytvorenia. Tento prepínač môže byť použitý
      iba v kombinácii s príkazom "ch". Ak je zadaný prepínač -amr, všetky ostatné prepínače,
      ktoré modifikujú archív sú ignorované.

   4. Na moderných procesoroch s á a viac paralelnými vláknami,
      dosahuje program WinRAR rýchlejšiu RAR5 kompresiu
      ťažšie komprimovateľných dát pri použití všetkých typov kompresie
      okrem typu "Najrýchlejšia", ktorej výkon zostáva rovnaký.

   5. Bola zlepšená efektivita príkazu "Opraviť" v prípade, že RAR5 archív
      obsahuje záznamy na opravu dát a má poprehadzované dátové bloky.
         
   6. Ak sa zväčšila veľkosť súboru, ktorý bol zaarchivovaný do non-solid
      RAR zväzkov, tak takýto súbor bude uložený bez kompresie bez ohľadu
      na číslo zväzku, pokiaľ tento súbor nie je rozdelený medzi viacerými
      zväzkami. Pôvodne bolo takéto chovanie možné iba pre súbory uložené v prvom
      zväzku.

   7. Bola pridaná podpora dekompresie archívov formátu .zipx, ktoré obsahujú
      súbory uložené ako referencie, ale len v prípade, že oba súbory, aj zdroj aj referencia,
      sa rozbaľujú spoločne a zdrojový súbor je v rámci archívu uložený pred súborom
      uloženým ako referencia.

      Vo väčšine prípadov je archívy formátu .zipx nutné rozbaľovať ako celok,
      aby sa aj súbory uložené ako referencie rozbalili úspešne.
   
   8. Bola pridaná podpora dekompresie archívov formátu .zst obsahujúcich
      slovník väčší ako 128 MB.

   9. Ak sú možnosti "Vypnúť počítač", "Reštartovať počítač", "Prepnúť počítač do hibernácie"
      alebo "Prepnúť počítač do režimu spánku" v programe WinRAR povolené, pred ich spustením
      bude používateľ požiadaný o potvrdenie alebo zrušenie danej operácie. Ak ani
      po 30 sekundách používateľ danú operáciu nepotvrdí alebo nezruší, operácie sa spustí
      automaticky.
      
      Pri použití prepínača -ioff v príkazovom riadku programu WinRAR je používateľ
      taktiež požiadaný o potvrdenie alebo zrušenie danej operácie. Neplatí to však
      pri použití príkazového riadku programu RAR.

  10. Pribudol nový príkaz "Otvoriť v internom prehliadači" do kontextovej ponuky
      v zozname archívov zobrazených v programe WinRAR v móde zobrazenia súborov.
      Tento príkaz je užitočný v prípade potreby zobrazenia neštrukturovaných "raw"
      dát archívu v internom prehliadači.

  11. Veľkosť záznamu pre obnovu dát RAR5 archívov sa po novom správne zobrazuje na stránke
      detailov archívu vyvolanej z kontextového menu v Prieskumníkovi operačného systému
      Windows.

  12. Pri archivácii dát zo štandardného vstupu (stdin) so zapnutým prepínačom -si,
      RAR zobrazí ako indikátor progresu aktuálne množstvo spracovávaných bajtov. 
   
  13. Ak používateľ, pri pridávaní súborov do zašifrovaného solid RAR5 archívu,
      zadá zlé heslo, program WinRAR si správne heslo vyžiada opäť.

  14. Ak sú pri archivácii povolené obe možnosti "Vymazať atribút "Archivovať"" 
      a "Otestovať súbory v archíve" (alebo použité odpovedajúce prepínače -t a -ac),
      atribút "Archivovať" bude po rozbalení zo súborov odstránený iba vtedy,
      ak test dopadne úspešne.

  15. Hodnotu "NoDrives" je možné po novom čítať aj z premennej v Registroch operačného systému Windows
      "HKEY_CURRENT_USER\Software\WinRAR\Policy". Toto umožňuje použitie tejto premennej z registrov
      v inicializačnom súbore winrar.ini. Túto hodnotu je stále možné čítať aj z premenných
      "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer"
      a "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer".

  16. Opravené chyby:

      a) príkazy modifikácie ZIP archívov mohli zlyhať v prípade, ze ZIP archív
         obsahoval komentáre k súborom;

      b) boli opravené úniky pamäte v prípade čítania obsahu archívov formátu .tar.bz2;

      c) príkaz konverzie archívov nenastavil správne pôvodný čas archívu
         do novovytvoreného archívu v prípade, ze zdrojový a cieľový typ archívu boli rovnaké
         ani keď, parametroch archivácie, bola zvolená možnosť
         "Nastaviť čas archívu na: Pôvodný čas archívu";

      d) Program WinRAR v móde správy súborov nezobrazoval správne veľkosť 
         priečinku zaarchivovaného vo viac-zväzkovom archíve v prípade,
         že bola povolená možnosť "Zlúčiť obsah zväzkov";

      e) Program WinRAR sa snažil obnoviť bezpečnostné nastavenia rozbaľovaných súborov
         aj v prípade, ze možnosť "Nastaviť bezpečnostné údaje súborov" bola predvolene vypnutá;

      f) Program WinRAR sa pokúšal čítať dáta aj po prekročení hranice vyrovnávacej pamäte
         a zlyhával pri rozbaľovaní špeciálne upravených ZIP archívov, ktoré zneužívali túto
         zraniteľnosť. Chceli by sme sa preto poďakovať bezpečnostnému špecialistovi
         s prezývkou Bakker, ktorý spolupracuje s iniciatívou Trend Micro Zero Day Initiative,
         ktorý nás na túto zraniteľnosť upozornil.
         
   
   Verzia 6.11

   1. Do programu WinRAR bola pridaná podpora pre archívy
      typu Gz, ktoré obsahujú väčšie množstvo komentárov.
      Predchádzajúca verzia programu WinRAR zlyhávala pri
      pokusoch o rozbalenie archívu typu gz ak takýto archív
      obsahoval komentáre, ktoré zaberali viac ako 16 KB.

   2. Komentáre obsiahnuté v archívoch typu gz sa už správne zobrazujú
      aj v časti užívateľského rozhrania určenom pre komentáre
      aj po spustení príkazu "Zobraziť informácie". Dlhšie komentáre
      sa zobrazujú iba čiastočne.

      Predchádzajúca verzia programu WinRAR nezobrazovala komentáre
      obsiahnuté v archívoch typu Gzip vôbec.

   3. Program WinRAR je na operačnom systéme Windows 11 schopný
      rozbaliť súbory, ktoré obsahujú rezervované názvy zariadení spolu
      s príponou súboru napr. aut.txt, aj bez toho, aby bola povolená
      možnosť "Povoliť potenciálne nekompatibilné názvy", alebo    aby
      bolo nutné použiť prepínač -oni. Operačný systém Windows 11,
      narozdiel od predchádzajúcich verzií, zaobchádza s takýmito názvami
      ako s normálnymi súbormi.

      Pre úspešné rozbalenie súborov, ktoré obsahujú rezervované
      názvy zariadení ale sú bez prípon  napr. aux, je stále nutné
      povoliť možnosť "Povoliť potenciálne nekompatibilné názvy"
      alebo použiť príkaz -oni bez ohľadu na verziu operačného systému.

   4. Prepínač -mes môže byť tiež použitý na potlačenie dialógu
      vyžadujúceho potvrdenie heslom pri pridávaní súborov
      do archívu typu solid.

   5. Boli implementované dodatočné opatrenia na zabránenie
      extrakcie nebezpečných odkazov.

   6. Opravené chyby:

      a) ak užívateľ, pri rozbaľovaní zašifrovaného archívu vrámci
         programu RAR, zadal viac ako 127 znakové heslo, čast hesla,
         ktorá presahovala za 127. znakom, bola programom RAR mylne
         vyhodnotená ako ďalší užívateľský vstup;

      b) nesprávny čas archivácie mohol byť zobrazený pri
         rozbaľovaní súborov z archívy typu ZIP a to v prípade,
         ak bol archív vytvorený v inej časovej zóne
         a obsahoval rozšírené časové údaje.
         
   
   Verzia 6.10
   
   1. Program WinRAR je schopný rozbaliť obsah archívov s príponou
      .zst and .zipx, ktoré boli vytvorené pomocou algoritmu Zstandard.

   2. Do programu WinRAR pribudla podpora pre kontextovú ponuku
      vrámci prieskumníka operačného systému Windows 11.

      Predvolene môže aplikácia pridať iba jednu položku najvyššej
      alebo nižších úrovní kontextovej ponuky.
      
      Ak je v dialógu "Nastavenia integrácie" povolená možnosť
      "Kaskádová kontextová ponuka", touto jednou položkou
      sa stáva celé kontextové pod-menu, ktoré obsahuje všetky
      príkazy programu WinRAR.
      
      Ak je táto možnosť vypnutá, tak kontextová ponuka obsahuje
      iba 2 príkazy programu WinRAR - 1 príkaz pre rozbalenie archívov
      a 1 pre vytvorenie archívov. Tieto 2 príkazy je možné prispôsobiť
      po stlačení tlačidla "Položky v kontextovej ponuke..." v dialógu
      "Nastavenia integrácie".

   3. Možnosť "Pôvodná kontextová ponuka" v záložke "Nastavenia/Integrácia"
      môže byť použitá, pri práci na operačnom systéme Windows 11,
      ako riešenie chýbajúcich príkazov programu WinRAR v kontextovej ponuke.
      Ak sa príkazy programu WinRAR zobrazujú, túto možnosť ponechajte vypnutú,
      pretože ak ju zapnete, príkazy programu WinRAR sa môžu v kontextovej ponuke
      zduplikovať.
   
   4. Operačný systém Windows XP už nie je viac podporovaný. Najstaršia
      podporovaná verzia operačného systému Windows je odteraz Windows Vista.
   
   5. Možnosť "Zavrieť" bola pridaná do zoznamu možných akcií nastavenia "Po dokončení"
      na záložke "Pokročilé" dialógu archivácie. Táto možnosť, po úspešnej archivácii,
      ukončí program WinRAR.

   6. Nastavenie "Po dokončení" bolo pridané aj do záložky "Možnosti" v dialógu rozbalenia.
      Toto nastavenie umožňuje zvoliť akciu, ktorá sa má vykonať po úspešnom
      rozbalení archívu.
   
   7. Prepínač -si umožňuje, pri rozbaľovaní alebo testovaní archívu,
      čítať vstupné dáta zo štandardného vstupu. Napríklad":

        type dokumenty.rar | rar x -si -o+ -pmypwd archív dokumenty\

      Pri použití tohoto príkazu je názov pôvodného archívu ignorovaný,
      preto je nutné zadať, ako parameter príkazového riadku,
      ľubovolný názov archívu napr. archív.
            
      Nie všetky operácie su podporované pri čítaní vstupných dát
      zo štandardného vstupu. K operáciám, ktoré nie sú podporované
      patria napr. zobrazenie komentárov archívu, testovanie záznamov
      na opravu dát, spracovanie viac-zväzkových archívov, atď..

      Taktiež príkazy, ktoré vyžadujú interakciu s používateľom,
      nie sú v tomto režime povolené. Takéto interakcie je však
      možné potlačiť použitím prepínačov -o[+|-|r], -p<pwd> alebo -mes.
   
   8. Nový prepínač -ep4<cesta> umožňuje odstrániť zadanú cestu
      z názvov archivovaných súborov. Napríklad:

        rar a -ep4texty\knihy archive c:\texty\knihy\technicke

      Tento príkaz odstráni cestu "text\books" z archivovaných súborov.
   
   9. Nový prepínač -mes vynechá zo spracovania, pri rozbaľovaní alebo testovaní archívu,
      zašifrované súbory. Tento prepínač nahrádza predchádzajúci prepínač -p-.

  10. Nový prepínač -op<cesta> nastavuje, pri použití príkazov 'x' alebo 'e',
      cestu k cieľovému priečinku. Narozdiel od parametra <cesta k cieľovému priečinku\>
      nemusí obsahovať posledný znak oddeľujúci priečinky.

  11. Pri použití príkazu 'p', na vypísanie obsahu súboru na štandardný výstup,
      sa automaticky potlačí vypisovanie informačných správ, aby sa zabránilo ich
      pomiešaniu s obsahom vypisovaných súborov.

  12. Pri použití možnosti "Vygeneruj názov archívu podľa masky"
      alebo prepínača -ag, iba prvé dva znaky 'M', ktoré nasledujú
      za znakmi 'H' budú považované za minúty.

      Vďaka tejto zmene je možné použiť masku, kde sa časové hodnoty
      nachádzajú pred hodnotami dátumu -agHHMM-DDMMYY.

  13. Maximálna povolená veľkosť záznamu pre opravu dát v archívoch
      formátu RAR5 sa zvýšila na 1000% veľkosti chránených dát.
      Maximálny počet zväzkov na ochranu dát je 10-násobok počtu
      chránených zväzkov.

  14. Ak zadané heslo presiahne maximálny povolený počet znakov,
      zobrazí sa varovanie a presahujúca dĺžka hesla je odstránená.

  15. Ak sa v archíve nachádzajú názvy súborov, ktoré obsahujú
      rezervované názvy, tak program WinRAR, pri rozbaľovaní, vloží
      pred tieto rezervované názvy znak podtržník.
      Napr.: názov súboru aux.txt bude zmenený na _aux.txt
      Táto zmena je vykonaná z dôvodu zachovania kompatibility
      s aplikáciami, ktoré nie sú schopné takéto rezervované názvy spracovať.

      Ak chcete zabrániť takýmto zmenám názvov súborov, povoľte
      možnosť "Povoliť potenciálne nekompatibilné názvy" v záložke
      "Pokročilé" dialógu rozbalenia alebo použite prepínač -oni.
  
  16. Program WinRAR sa pokúsi resetnúť súborovú vyrovnávaciu pamäť
      predtým, ako spustí testovanie archívu. Táto zmena pomáha
      pri overení dát skutočne zapísaných na disk namiesto overovania
      dát z vyrovnávacej pamäte.

  17. Špecifikovanie viacerých prepínačov -v<veľkosť> z rôznymi veľkosťami
      zväzkov, je odteraz povolené aj pre archívy formátu ZIP:

      WinRAR a -v100k -v200k -v300k archiv.zip

  18. Prepínače -sl<veľkosť> a -sm<veľkosť> môžu byt od teraz použité
      na filtrovanie rozbaľovaných súborov z akéhokoľvek archívu,
      ktorý je schopný programu WinRAR poskytnúť informáciu o veľkosti
      súborov po rozbalení.
  
  19. Program WinRAR začal používať nový dialóg pre výber priečinku,
      ktorý sa zobrazí na viacerých miestach programu WinRAR ak je nutný
      výber priečinku. Napr.: po kliknutí na tlačidlo "Vyhľadať..." v záložke "Nastavenia/Cesty".
  
  20. Keď sa, po dokončení operácie, obnoví okno programu WinRAR, ktoré bolo predtým
      minimalizované, tak od teraz toto obnovované okno programu WinRAR neprekryje aktuálne aktívne okno.

  21. Zo zoznamu preddefinovaných veľkostí zväzkov, bola odstránená možnosť
      "650 MB CD" a do zoznamu bola pridaná možnosť "2 GB zväzky". Tento zoznam
      sa nachádza v dialógu "Určenie veľkosti zväzku", ktorý je možné vyvolať
      zo záložky "Nastavenia/Kompresia".

  22. Príkaz "Premenovať" odteraz zvýrazní názov celý súboru okrem prípony daného súboru.

  23. Hneď ako je pri kompresii samo-rozbaľovacieho archívu SFX
      presiahnutá veľkosť 4 GB, program WinRAR zobrazí chybovú správu.

      Spustiteľné súbory presahujúce túto veľkosť nemôžu byť spustené
      na operačnom systému Windows.

  24. Prepínač -en nie je viac v programe WinRAR podporovaný.

  25. Opravené chyby:

      a) po úprave súboru vrámci archívov formátu .rar alebo .zip,
         program WinRAR, ak bola možnosť "Vytvoriť SFX archív" súčasťou predvoleného profilu kompresie,
         vytvoril nový SFX archív namiesto aktualizácie existujúceho archívu;

      b) celkový priebeh operácie sa nemusel zobrazovať správne, ak boli použité
         prepínače -oi, -f, -u alebo boli povolené ich korešpondujúce možnosti
         v grafickom užívateľskom prostredí program WinRAR;

      c) Príkaz "Hľadať súbory" pri použití možnosti "Použiť všetky znakové sady"
         zlyhával pri vyhľadávaní reťazcov kódovaných v znakovej sade UTF-16.
         Rovnaký problém nastával pri použití príkazu príkazového riadku "it".
   
   
   Verzia 6.02

   1. SFX modul archívov typu ZIP nebude po novom spúšťať SFX príkazy,
      uložené v časti určenej pre komentáre archívu v prípade, že táto časť,
      určená pre komentáre archívu, sa nachádza až po autentifikačnom digitálnom
      podpise Authenticode. Táto zmena má zabrániť potenciálnym útokom,
      ktoré zneužívajú vkladanie archívov typu ZIP do bloku autentifikačného
      digitálneho podpisu.
      
      Program WinRAR už vo verzii 6.01 taktiež zabraňuje extrahovaniu
      obsahu z takto upravených archívov.

      Poďakovanie za nahlásenie tejto zraniteľnosti patrí Jacobovi Thompsonovi
      zo spoločnosti Mandiant Advantage Labs.

   2. Stránka notifikácií, domovská stránka a stránka obsahujúca
      témy programu WinRAR používajú odteraz šifrovanú verziu http protokolu - https.
      Taktiež boli vrámci stránky notifikácií implementované viaceré bezpečnostné kontroly,
      ktoré by mali obmedziť možnosti spustenia škodlivého kódu na používateľskom zariadení.

      Poďakovanie za upozornenie na tento problém patrí Igorovi Sak-Sakovskiymu.

   3. Ak je to možné, samo-rozbaľovací archív SFX zobrazuje o chybe detailné informácie,
      ktoré sú mu poskytnuté operačným systémom.

      Napríklad, v predchádzajúcej verzii by samo-rozbaľovací archív SFX zobrazil
      iba chybu "Súbor nie možné vytvoriť". V najnovšej verzii je táto správa doplnená
      o dodatočné informácie prečo súbor nebolo možné vytvoriť ako napr. že bol zamietnutý prístup
      k danej súborovej ceste, alebo že súbor je používaný iným procesom.
      
      V minulosti boli tieto dodatočné informácie dostupné iba v užívateľskom rozhraní
      programu WinRAR, ale nie priamo v samo-rozbaľovacích archívoch SFX.

   4. Prepínač -idn skrýva názvy archivovaných súborov taktiež pri použití
      v kombinácii s príkazmi 'v' a 'l'. Takáto možnosť može byť užitočná,
      ak je nutné zobrazovať iba typ archívu alebo celkové agregované informácie.
   
   5. Ak sú spolu použité prepínače -ibck -ri<priorita>, program WinRAR správne
      nastaví prioritu podľa hodnoty stanovenej prepínačom -ri. V predchádzajúcej
      verzii, ak boli tieto prepínače použité spolu, bola hodnota prepínača -ri ignorovaná.

   6. Pri použití príkazu "Zmeniť disk" si program WinRAR zapamätá,
      v ktorom priečinku aktuálneho disku sa používateľ nachádzal a pri opätovnom prepnutí
      naspäť na daný disk, zobrazí program WinRAR obsah zapamätaného priečinku.

   7. Názov rozbaľovaného súboru je od teraz súčasťou upozornenia, pre archívy typu RAR5,
      zobrazeného v prípade, že bolo použité nesprávne heslo na dešifrovanie daného súboru.
      Táto informácia môže byť užitočná v prípade, že súbory v archíve sú šifrované rôznymi heslami.
   
   8. Opravené chyby:

      a) príkaz "Skonvertovať archívy" nesprávne zobrazoval správu "Zadané heslo nie je správne"
         aj keď bola konverzia archívu úspešne dokončená. Táto chyba sa vyskytovala
         pri použití príkazového riadku programu WinRAR na konverziu archívu typu RAR,
         ktorý obsahoval šifrované názvy súborov;

      b) ak používateľ rýchlo za sebou zmenšil a naspäť zväčšil veľkosť okna zobrazujúce priebeh operácie,
         obsah daného okna nemusel byť zobrazený správne.
   
   
   Verzia 6.01

   1. Klávesová skratka Ctrl+A označí celý text v okne programu WinRAR
      určenom pre komentáre.
   
   2. Ak sa pri archivácii použije prepínač -idn spolu s sprepínačom -t resp. -df,
      zruší sa tým zobrazovanie správy "Testuje sa súbor <názov_súboru>"
      resp. "Odstraňuje sa súbor <názov_súboru>", ktorá by inak bola zobrazená
      pri použití prepínača -t resp. -df.

      Prepínač -idn tiež zruší správy informujúce o vytvorení priečinku,
      ak sa rozbaľuje súbor do neexistujúceho priečinku.

   3. Program WinRAR a SFX modul programu ZIP neumožnia rozbalenie
      SFX archívu formátu ZIP, ak sa centrálny slovník daného archívu
      nachádza až za sekciou, ktorá obsahuje digitálny podpis Authenticode.
      Takýmto spôsobom sa program WinRAR snaží predísť možným útokom,
      ktoré fungujú na princípe zahrnutia archívu formátu ZIP do tela
      sekcie obsahujúcej digitálny podpis.
   
   4. Opravené chyby:

      a) príkaz "Prekonvertovať archívy" mohol nesprávne skonvertovať
         Unicode komentáre uložené v archíve formátu RAR;
      
      b) ak pre 2 rôzne archívy používateľ, pomocou kontextovej ponuky prehliadača
         súborov, otvoril okná zobrazujúce informácie o daných archívoch, grafický ukazovateľ
         kompreného pomeru v prvom okne mohol nesprávne zobrazovať hodnotu prislúchajúcu druhému
         archívu.

         Táto chyba sa nevyskytovala pri textových hodnotách detailov archívu. Ovplyvňovala
         iba vertikálny grafický ukazovateľ kompreného pomeru, ktorý mohol zobrazovať nesprávnu hodnotu;

      c) ak v dialógu pre extrakciu bola povolená možnosť "Čakať ak sú aktívne ďalšie kópie programu WinRAR",
         titulok dialógu, zobrazujúceho priebeh operácie, nebol nastavený na "Čakám na ďalšie kópie programu WinRAR";

      d) predchádzajúca verzia programu WinRAR, pri extrakcii symbolického odkazu,
         nenahradila existujúci symbolický odkaz, aj ked nahradenie daného odkazu používateľ potvrdil.
         
         
   Verzia 6.00

   1. Do okna oznámenia o chybe čítania súboru boli pridané možnosti
      "Ignorovať" a "Ignorovať všetky". Pre pokračovanie spracovávania
      už načítanej časti súboru, zvolte možnosť 'Ignorovať' a pre
      ignorovanie všetkých podobných chýb načítavania, zvolte 'Ignorovať všetky'.

      Napríklad, ak je časť súboru, ktorý sa aktuálne archivuje, blokovaná
      iným procesom a vy zvolíte možnosť "Ignorovať", zaarchivovaná
      bude iba tá časť súboru, ktorá nebola blokovaná inými procesmi.

      Takýmto spôsobom je možné zabrániť prerušeniu dlhotrvajúcej archivácii,
      avšak treba mať na zreteli, že takto zaarchivované súbory nie sú kompletné.
      
      Použitie prepínača -y spôsobí, že možnosť "Ignorovať" bude v takýchto prípadoch
      použitá predvolene.

      Pôvodné možnosti 'Opakovať' a 'Zrušiť' sú taktiež stále k dispozícii.

   2. V prípade chyby čítania, program WinRAR v móde príkazového riadku
      vracia návratovú hodnotu 12. Táto hodnota je vrátená programom WinRAR
      v prípade zvolenia akejkoľvek možnosti, aj novopridanej možnosti
      "Ignorovať".

      Pôvodne chyba čítania používala navratovú hodnotu 2, ktorá označovala
      všeobecnú závažnú chybu.

   3. V novej karte "Rozšírené" dialógu "Cieľ rozbalenia a možnosti"
      pribudla nová sekcia, ktorá je prístupná v prípade, že sú naraz 
      zvolené viaceré archívy. Táto sekcia umožnuje zvoliť jednu z možností
      cielu rozbalienia:
      "Cieľová cesta" - obsah archívov sa rozbalí do priečinka cieľovej cesty
      "Podpriečinky v cieľovej ceste" - každý archív sa rozbalí do samostatného podpriečinka v priečinku cieľovej cesty
      "Podpriečinky v aktuánom priečinku" - každý archív sa rozbalí do samostatného podpriečinka v jeho aktuálnom priečinku
      "Aktuálny priečinok" - obsah archívov sa rozbalí do ich aktuálneho priečinka
      
      Táto sekcia nahrádza možnosť "Rozbaliť archívy do podpriečinkov", ktorá
      bola tiež k dispozícii, iba ak bolo naraz zvolených viacero archívov.

   4. Nový prepínač -ad2 rozbalí súbory priamo do aktuálneho priečinka daného
      archívu. Narozdiel od prepínača -ad1, prepínač -ad2 nevytvorí samostatné
      podpriečinky pre kazdý archív.

   5. V novej karte "Rozšírené" dialógu "Cieľ rozbalenia a možnosti"
      pribudla možnosť "Voliteľné prepínače". Do tohoto pola je možné
      zadať prepínače, ktoré sa pri rozbalovaní majú použiť.

      Toto pole využite iba v prípade, že Ste oboznamený s prepínačmi
      príkazového riadku a ich správnym zápisom.

   6. Príkaz "Skušobný test" odteraz využíva slovník o veľkosti 32 MB
      a metódu kompresie "Normálna". Tieto nastavenia sú rovnaké
      ako predvolene používa kompresia archívov RAR5, a ktoré
      sú vhodnejšie na predpovedanie výkonnosti najnovších verzií
      programu WinRAR ako boli pôvodné nastavenia - slovník o veľkosti 4 MB
      a metóda kompresie "Najlepšia".

      Aktuálne výsledky príkazu "Skušobný test" nie je možné priamo
      porovnávať s výsledkami tohoto príkazu v predchádzajúcich verziách
      programu WinRAR.
   
   7. V prípade potreby rozbalenia iba niektorých súborov
      z viaczväzkového solid archívu, sa program WinRAR
      pokúsi vynechať počiatočné zväzky a spustiť rozbalovanie
      až od zväzku, ktorý je najbližšie k rozbaľovaným súborom.
      Zároveň zresetuje solid štatistiky.

      Program WinRAR predvolene resetuje solid štatistiky na začiatku
      dostatočne veľkého zväzku. Pri takýchto zväzkoch
      potom rozbalenie iba niektorých súborov môže byť citeľne rýchlejšie.

      Táto funkcionalita nemá vplyv na výkonnosť v prípade, že už sú
      všetky súbory rozbalené.

   8. V predchádzajúcej verzii začal program WinRAR automaticky
      rozbalovanie od prvého zväzku aj napriek tomu, že používatel
      spustil rozbalovanie iného ako prvého zväzku. V aktuálnej verzii
      začne program WinRAR rozbalovanie automaticky od prvého zväzku
      iba, ak sú k dispozícii okrem prvého zväzku aj všetky ostatné zväzky
      nachádzajúce sa medzi prvým zväzkom a tým, na ktorom používateľ spustil rozbalovanie.

   9. Ak program WinRAR počas svojho ukončenia zistí, že niektoré archivované súbory
      boli zmenené v inej aplikácii a tieto zmeny neboli uložené späť do archívu,
      zobrazí varovanie. Varovanie obsahuje zoznam takýchto súborov
      a niekoľko akcií z ktorých si používateľ može zvoliť.

      Predchádzajúca verzia programu WinRAR zobrazovala podobné varovanie,
      ale iba pri editácii daného súboru. Toto varovanie už nebolo zobrazené
      opäť pri ukončení programu WinRAR.

  10. V karte "Pokročilé" dialógu "Cieľ rozbalenia a možnosti"
      pribudla možnosť "Presunúť do Koša". Zvolením tejto možnosti
      budú odstraňované archívy presunuté do Koša.

  11. Nový príkaz "Vymazať históriu..." v menu "Možnosti" umožňuje
      vymazať históriu naposledy otvorených archívov a históriu 
      hodnôt zadávaných v poliach dialógov.
   
  12. Časové údaje, v sekcii "Časové údaje súboru" na karte "Pokročilé"
      dialógu "Cieľ rozbalenia a možnosti", je teraz možné nastavovať
      aj pre archívy formátu 7z.

  13. Jedna z položiek kontextovej ponuky operačného systému Windows, ktorá sa zobrazí
      ak užívatel klikne pravým tlačidlom myši v Prieskumníkovi alebo na Pracovnej ploche,
      je podmenu "Nový" alebo "New" podľa toho, či máte operačný systém lokalizovaný v slovenskom
      alebo anglickom jazyku. Nová verzia programu WinRAR práve do tohoto podmenu "Nový"
      vkladá možnosť vytvoriť "WinRAR archív" a tiež "WinRAR ZIP archív".
      Program WinRAR umožnuje tiež tieto nové položky z podmenu "Nový" odstrániť
      a to odškrknutím oboch možností "WinRAR archív" a "WinRAR ZIP archív" v časti
      "Položky podmenu "Nový"" v dialógu "Položky kontextovej ponuky".
      Ak by ste chceli toto nastavenie zmeniť, je nutné ho potvrdiť kliknutím
      na tlačidlo "OK" v dialógu "Položky kontextovej ponuky" a tiež v dialógu "Nastavenia".

  14. Pred názov programu, špecifikovanom v SFX príkaze "Setup", je možné vložiť
      volitelný názov <módu>. Mód može byť specifikovaný príkazmi <Max>, <Min> a <Hide>,
      ktoré spôsobia spustenie zadaného programu v maximalizovanom, minimalizovanom
      alebo skrytom okne.
      Príklad:

      Setup=<Hide>setup.exe

  15. Pre SFX modul je teraz možné špecifikovať dodatočné logo,
      ktoré je vo vysokom rozlíšení. Ak je logo vo vysokom rozlíšení nahraté,
      modul SFX ho použije prednostne. 
      
      Na nahratie loga vo vysokom rozlíšení vyplnte pole "SFX logo s vysokým rozlíšením"
      na karte "Text a ikona" dialógu "Pokročilé možnosti SFX". V móde príkazového riadku
      použite druhýkrát prepínač -iimg.

      Odporúčaná veľkosť loga PNG formátu vo vysokom rozlíšení je 186x604 pixelov.

  16. Ak bol archív, ktorý je aktuálne otvorený v programe WinRAR, zmazaný alebo presunutý inou aplikáciou,
      program WinRAR vloží do titulku okna pred názov archívu text "Nedostupný".
      Titulok okna a panel úloh taktiež zabliká.

  17. Pri použití možnosti "Sumár", ktorá sa nachadza v dialógu príkazu "Vygenerovať správu",
      sa na koniec vygenerovanej správy pridá informácia o celkovom počte a celkovej veľkosti zahrnutých súborov
      a na začiatok vygenerovanej správy sa pridajú hlavičky k jednotlivým stĺpcom správy.
  
  18. Ak používatel používa viacero monitorov a na jednom z nich,
      cez kontextové menu prieskumníka operačného systému Windows,
      spustí spracovanie archívu, priebeh spracovania a všetky dialógy
      spojené s týmto spracovaním budú zobrazené na monitore,
      z ktorého bolo spracovanie spustené.
      
      Zatialčo v predchádzajúcich verziách programu WinRAR zahŕňala podpora
      viacerých monitorov iba príkazy spustené myšou, teraz je táto podpora
      rozšírená aj na príkazy spustené pomocou klávesnice alebo použitím funkcie
      "Pretiani a pusť".

  19. Nový prepínač -imon<číslo> umožňuje vybrať monitor, ktorý sa použije
      na zobrazenie priebehu danej operácie a dialógov spojených s touto operáciou.

      Použitím prepínača -imon1 zvolíte na zobrazenie prímarny monitor,
      Použitím prepínača -imon2 sekundárny atd..
      Napríklad, príkaz "WinRAR x -imon2 nazov_archívu" spustí rozbalovanie
      daného archívu na sekundárnom monitore.

      Tento prepínač je možné použiť iba v móde prikazového riadku
      programu WinRAR. Tento prepínač nemá žiadny vplyv na interaktívnu
      časť grafického užívateľského rozhrania programu WinRAR
      a ani na príkazový riadok programu RAR.

  20. Prepínač -idn nezobrazuje, pri archivácii, extrakcii
      a niekolkých ďalších príkazoch, vo výstupe príkazového riadku programu RAR
      názvy spracovaných súborov. Tento prepínač však neoplyvňuje obsah
      ostatných správ a štatistík zobrazovaných v príkazovom riadku programu RAR.

      Tento prepínač je možné použiť na redukciu veľkého množstva správ
      v príkazovom riadku programu RAR napríklad pri archivacii veľkého
      množstva malých súborov.

      Pri použití tohoto prepínača možu nastať drobné vizuálne vady,
      napríklad percentuálne zobrazenie priebehu môže prekryť niekoľko
      posledných znakov chybovej správy.
  
  21. Pôvodný prepínač -im bol nahradený prepínačom -idv, pri ktorého
      použití sa v príkazovom riadku programu RAR budú zobrazovať 
      dodatočné podrobné informácie. Táto zmena bola učinená kvôli
      zachovaniu konzistencie s prepínačom -id[c,d,p,q] a zároveň 
      kvôli vyhnutiu sa potencionálnemu konfliktu s názvom nového
      prepínača -imon.

      Program WinRAR stále umožňuje použitie oboch prepínačov aj -im
      aj -idv, avšak podpora prepínača -im bude v budúcnosti ukončená.

  22. V názve profilu kompresie je možné použiť premennú %arcname%, ktorá bude nahradená
      názvom aktuálneho archívu. Táto možnosť može byť užitočná pri použití
      spolu s možnosťou "Pridať do kontextovej ponuky". Napr. môžete vytvoriť
      profil kompresie archívov formátu ZIP, nastaviť jeho názov ako "Pridať do %arcname%"
      a pridať ho do kontextovej ponuky.

  23. Klávesové skratky Ctrl+C a Ctrl+Ins možu byť použité
      v onke "WinRAR: Informácia o diagnostike" na skopírovanie
      textu do schránky.
   
  24. Nápoveda k ikone programu WinRAR, ktorá sa nachádza v paneli programov operačného
      systému Windows, odteraz zobrazuje viac textu bez toho,
      aby bol tento text skrátený. Príliš dlhý text bude stále skrátený,
      avšak odteraz sa takýto text skráti v strede, ciže začiatok textu nápovedy,
      ktorý obsahuje názov vykonávaného príkazu, ako aj koniec, ktorý obsahuje
      percentuálne vyjardenie priebehu vykonávania daného príkazu, budú stále viditeľné.

  25. V prípade vytvorenia nového predvoleného profilu kompresie,
      bude pole "Súbory na uloženie bez kompresie" predvyplnené
      nasledujúcimi hodnotami:

        *.rar *.zip *.cab *.7z *.ace *.arj *.bz2 *.gz *.lha *.lzh
        *.taz *.tgz *.xz *.txz

      Hodnoty v tomto poli daného profilu kompresie je možné kedykoľvek zmeniť.

  26. V histórii hodnôt položky "Cieľová cesta" dialógu "Cieľ rozbalenia a možnosti"
      sa odteraz cesty ako 'priečinok' a 'priečinok\' zobrazujú iba raz ako hodnota 'priečinok'.

  27. Možnosť "Povoliť kompresiu spustiteľných súborov formátu Itanium"
      v grafickom užívatelskom rozhraní programu WinRAR a podpora prepínača
      -mci boli odstránené. Kompresia spustiteľných súborov formátu Itanium
      už nie je viac podporovaná. Program WinRAR je však stále schopný
      rozbaliť archívy vytvorené použitím kompresie spustiteľných súborov formátu Itanium.

  28. Opravené chyby:

      a) príkazy "Pridať poznámku k archívu", "Ochrániť archív pred poškodením"
         a "Zamedziť zmenám v archíve" nebolo možné použiť, ak boli naraz zvolené
         viaceré archívy;

      b) po spustení samorozbaľovacieho archívu SFX sa proces rozbalovania 
         neukončil správne v prípade, ak tento proces bežal na operačnom
         systéme Windows 10 viac ako 8 minút a poznámka archívu obsahovala 
         príkazy "Setup" a "SetupCode", ale neobsahovala príkaz "TempMode";

      c) profily kompresie, ktoré v názve obsahovali uvodzovky, nebolo
         možné spustiť z kontextovej ponuky prieskumníka operačného
         systému Windows.
         
         
   Verzia 5.91

   1. Dialógové okná sú centrované vrámci okna programu WinRAR rovnako
      ako tomu bolo vo verzii programu WinRAR 5.80.

   2. Pri upravovaní archivovaných súborov pomocou programov tretích strán,
      program WinRAR zavádza extra opratrenia, ktoré maju za úlohu zmenšiť
      pravdepodobnosť, ze tieto programy prestanú správne fungovať z dôvodu
      uprav dočasných súborov, ktoré tieto programy môžu potrebuvať.
   
   3. Položka "Verzia" zobrazená vo okne vlastností archívu vyvolaného
      z kontextového menu prehliadača súborov operačného systému Windows,
      teraz obsahuje dodatočné informácie o verzii kompresie formátu ZIP
      a šifrovacích algoritmoch narp. LZMA alebo AES. Táto informácia bola
      už dostupná v programe WinRAR po vyvolaní príkazu "Informácie".

   4. Typy operačných systémov "MS DOS" a "Unix" sú odteraz zobrazené
      v programe WinRAR po vyvolaní prikazu "Informácie" aj pre archívy
      formátu LZH. V starších verziách programu WinRAR obsahovala, pre archívy
      formátu LZH, položka "Typ operačného systemu" hodnotu "Neznámy".

   5. Súbory vytvorené v editoroch tretích strán, ktoré sa zhodujú s maskami
      v nastavení "Ignorovať zmeny pre" nie sú odteraz pridané do archívu.
   
   6. Opravené chyby:

      a) v niektorých unixových archívoch formátu LZH boli zobrazované
         prázdne nazvy súborov;

      b) program WinRAR nebol schopný spracovať vrámci jednej sady viac ako 999 zväzkov archívu
         formátu 7z;
      
      c) zmeny vykonané v možnosti "Integrovať WinRAR do Windows" boli aplikované
         aj keď pouzívateľ zrušil dialóg na potvrdenie tychto zmien;

      d) veľkosť hlavného okna novo nainstalovaného programu WinRAR mohla byť príliš malá,
         ak na danom zariadení predtým ziadna iná verzia programu WinRAR nebola nainstalovaná;

      e) program WinRAR mohol prestať reagovať po tom, čo bol archivovaný súbor editovaný
         v programe tretej strany na operačnom systéme Windows 10 verzie 2004.
   
   
   Verzia 5.90
   
   1. Bola vylepšená rýchlosť kompresie na CPU so 16 a viac jadrami.

   2. "Najrýchlejšia" kompresná metóda (ekvivalent k prepínaču -ml)
      dosahuje teraz, pri vytváraní archívu formátu RAR5,
      vyšší kompresný pomer pre vysoko komprimovateľné dátové typy.

   3. Maximálny počet vlákien, ktoré vie program WinRAR využiť,
      sa zvýšil z 32 na 64.
      Prepínač -mt<počet_vlákien> akceptuje hodnoty od 1 do 64.

   4. Voľba "Použiť viac vlákien" v nastaveniach programu WinRAR na karte "Všeobecné",
      je nahradená políčkom "Počet vlákien", v ktorom je možné špecifikovať
      maximálny počeť vlákien, ktoré bude môcť program WinRAR použiť.

   5. Program WinRAR, pri prezeraní obsahu archívu,
      zobrazuje nielen veľkosť zbalených priečinkov, ale aj veľkosť po ich rozbalení.
   
   6. Položka "Celkom priečinkov" bola pridaná do zoznamu informácií
      zobrazených po spustení príkazu "Informácie".

   7. Ak načítavanie obsahu archívu trvá dlhší čas, program WinRAR po novom zobrazí
      onko s priebehom načítavania. Môže to byť užitočné hlavne pri načítavaní
      archívov s pomalším prístupom k obsahu ako napr. archívy založené
      na formáte TAR (.tar.gz, .tar.bz2).

   8. Je možné zmeniť veľkosť okna zobrazujúceho priebeh archivácie,
      extrakcie alebo niektorých iných operácií.
         
   9. Bol vylepšený výkon príkazu "Opraviť" pri archívoch formátu RAR5,
      ktoré obsahovali záznam pre obnovu dát. 

  10. Pri spustení príkazu "Opraviť" pri archívoch formátu RAR5, ktoré
      obsahujú záznam pre obnovu dát a majú zašifrované názvy súborov,
      sa už nezobrazuje okno vyžadujúce zadanie hesla. Príkaz je teda
      možné vykonať aj bez zadania hesla.

  11. Ak pri spustení príkazu "Prekonvertovať archívy" cieľový priečinok
      neexistuje, program WinRAR sa ho pokúsi vytvoriť.

  12. Bola pridaná podpora extrakcie arcchívov formátu GZIP,
      ktoré neobsahujú voliteľnú hlavičku so záznamom kontrolného súčtu.
   
  13. Opravené chyby:

      a) Príkaz "Opraviť" mohol nesprávne zobraziť správu
         "Záznam na obnovu dát je poškodený" aj v prípade validného 
         záznamu na obnovu dát. Táto správa však neprerušila proces opravy;

      b) Ak možnosť "Informácie rýchleho otvorenia" bola, v predvolenom profile kompresie,
         nastavená na "Nepridávať" a tento profil bol načítaný nejakým príkazom
         alebo dialógom, program WinRAR, pri prehliadaní obsahu RAR archívov,
         toto nastavenie ignoroval;

      c) Klávesová skratka príkazu "Kopírovať" (Ctrl+C) nefungovala v onke poznámok archívu;

      d) Ak boli povolené obe možnosti "Uložiť každý súbor do samostatného archívu"
         a "Uložiť do samostatných archívov aj súbory z podpriečinkov", program WinRAR
         ignoroval cieľovú cestu špecifikovanú v názve archívu.
                
                
   Verzia 5.80
   
   1. Možnosť "Zachovať čas posledného prístupu" na záložke "Čas" v dialógu
      nastavenia archivácie, umožňuje zachovanie originálneho času posledného
      prístupu k archivovaným súborom.

   2. Prepínač príkazového riadku -tsp umožňuje zachovanie originálneho času posledného
      prístupu k archivovaným súborom. Tento prepínač môže byť použitý spolu s inými
      -ts prepínačmi, ako napr.: rar a -tsc -tsp nazov_archívu súbory

   3. Je možné použitie viacerých modifikátorov v jednom -ts prepínači.
      Napr., je možné použiť -tscap namiesto -tsc -tsa -tsp.

   4. Program WinRAR vie teraz načítať predvolené nastavenia a hodnoty prepínačov
      zo súboru rar.ini, ktorý môže byť uložený buď v rovnakom priečinku ako súbor
      WinRAR.exe alebo v priečinku %APPDATA%\WinRAR. Nastavenia musia byť v tomto
      súbore uložené v nasledujúcom formáte:

      switches=<akékoľvek prepínače programu RAR oddelené medzerami>
      switches_<príkaz>=<akékoľvek prepínače programu RAR oddelené medzerami>

      Ako prvé je nutné špecifikovať prevolené nastavenia prepínačov pre vsetky príkazy
      a až následne pre jednotlivé príkazy zvlášť, napr:

      switches=-m5 -s
      switches_x=-o+

   5. Prepínač príkazového riadku -agf<predvolený_formát> špecifikuje predvolený
      formát reťazcov pre prepínač -ag. Tento prepínač je vhodný iba na použitie
      v súbore rar.ini alebo v premenných prostredia programu RAR.
      Napr., ak je premenná prostredia programu RAR nastavená na hodnotu -agfYYYY-MMM-DD,
      pri použití prepínača -ag sa prevolene použije formát špecifikovaný v premennej prostredia
      programu RAR bez toho, aby ho bolo nutné opätovne zadávať s každým prepínačom -ag.

   6. Prepínače -ed a -e+d môžu byť použité na spracovanie archívov použitím akéhokoľvek
      programu RAR a na akomkoľvek operačnom systéme.
      V predchádzajúcich verziách, program RAR, určený pre operačný systém Window, nemohol
      použiť tieto prepínače pri spracovaní archívu, vytvoreného na operačnom systéme Unix a opačne.

   7. V predchádzajúcich verziách programu WinRAR, príkaz "Otestovať" zlyhal
      pri kontrole integrity archivovaných alternatívnych dátových prúdoch
      súboroveho systému NTFS a vydal varovanie ak veľkosť takéhoto dátového
      prúdu presiahla 16 MB. Toto obmedzenie bolo v aktuálnej verzii programu
      WinRAR odstránené.

   8. Bola zvýšená rýchlosť archivácie veľkých alternatívnych dátových prúdov
      súborového systému NTFS, kedy takáto archivácia bežala na viecerých jadrách CPU.
   
   9. Príkaz "Hľadaj":

      a) pri rozbaľovaní zašifrovaných súborov priamo z dialógu výsledkov hľadania,
         bolo heslo požadované pre každý nájdený súbor aj keď pochádzali z toho
         istého archívu.

         V tejto verzii programu WinRAR je heslo vyžadované iba raz;

      b) Klávesová skratka Ctrl+A zahrnie do výberu všetky súbory,
         ktoré sa nachádzajú v výsledkoch hľadania.

  10. Okno poznámok archívu:

      a) predchádzajúce verzie programu WinRAR neumožňovali použitie
         klávesovej skratky Ctrl+W na ukončenie programu WinRAR,
         ak bol kurzor aktívny v okne poznámok archívu;

      b) kolečko myši je teraz možné použiť aj pre poznámky s ukončovacími sekvenciami typu ANSI;
      
      c) posledný riadok dlhých poznámok s ukončovacími sekvenciami typu ANSI boli
         zobrazené iba čiastočne.

  11. Maximálna dĺžka cesty pre súbory v archívoch typu 7z bola zvýšená na 2048 znakov.

  12. Ak názov súboru alebo archívu je príliš dlhý a nezmestí sa do okna
      zobrazujúceho priebeh archivácie, je tento názov skrátený. Skrátenie
      sa vykonáva v strede názvu tak, aby prípona súboru alebo archívu bola
      stále viditeľná.

  13. Ak sa názvy súborov, zvolených na archiváciu, líšia iba v prípone,
      navrhovaný názov archívu je odvodený od tejto spoločnej časti v názvoch.
      Napr.: názov archívu Readme.rar bude navrhnutý programom WinRAR v prípade,
      že archivované súbory sú Readme.txt a Readme.doc.

  14. Typy "Symbolický odkaz" a "Pevný odkaz" sa budú zobrazovať v stĺpci "Typ"
      pre symbolické odkazy a pevné odkazy v archívoch typu .tar.
         
  15. Kopírovanie súborov z veľkých archívov je v aktuálnej verzii programu WinRAR optimalizované tak,
      že extrakcia takýchto archívov začína už pri vykonaní príkazu kopírovania, nie až pri vykonaní príkazu vloženia.
   
  16. Záznamy pre obnovu dát verzie RAR4, v aktuálnej verzii programu WinRAR,
      používajú rovnaké číslovanie zväzkov ako príslušné RAR zväzky. V predchádzajúcej
      verzii sa mohlo stať, že záznam pre obnovu dát arc.part1.rev mal iné 
      číslovanie ako prislúchajúci zväzok arc.part01.rar. Teraz budú oba číslované
      rovnako "part01".

  17. Tlačidlo "Nastaviť písmo..." taktiež zmení písmo v paneli so súborovou štruktúrov.

  18. Príkaz "Hľadať súbory" a príkaz príkazového riadku "i":

      a) Ak je použitá možnosť "Použiť všetky tabuľky" alebo je pri použití
         príkazu "i" zadaný modifikátor "t", program WinRAR bude vyhľadávať
         zadaný reťazec, popri podporovaných kódovaniach ANSI, OEM and UTF-16,
         aj v súboroch s kódovaním UTF-8;
      
      b) lepšia podpora pre textové reťazce formátu Unicode;

      c) lepší výkon hľadania, obzvlášť pri hľadaní bez rozdielu vo veľkosti znakov;

      d) výstup hľadania pomocou reťazca zadaného v hexadecimálnej sústave,
         obsahuje teraz aj text aj hexadecimálnu reprezentáciu tohoto textu.

  19. Názov súboru a indikátor priebehu rozbalovania sa zobrazujú aj pre
      archívy fromátu tar.bz2, tar.gz, tar.lz, tar.xz, tar.z.

  20. Možnosť "Zobraziť presnú veľkosť súborov" ovplyvňuje aj formát zobrazenia
      veľkosti súborov v stavovej lište programu WinRAR.
   
  21. Opravené chyby:

      a) ak je pri archivacii zadaná neexistujúca cesta k archívu,
         program WinRAR navrhne vytvorenie takejto cesty;

      b) program WinRAR mohol skončiť s chybou pri vytváraní záznamu pre obnovu dát
         vo formáte RAR5 na počítači s CPU, ktoré nepodporovalo príkaz CPUID EAX=7
         a vracalo náhodné dáta v odpovedi;

      c) program WinRAR nezvládal vytvoriť archívy, kedy užívateľ
         z jedného okna pretiahol súbory pomocou praveho tlačidla myši do druhého okna
         a zvolil možnosť kontextovej ponuky "Pridať do archívu...", pričom bola povolená
         možnosť "Vlož každý súbor do samostatného archívu";

      d) príkaz "winrar r *.zip" opravil iba prvý archív formátu ZIP,
         ak všetky archívy mali iba číselné názvy (1.zip, 2.zip, ...)
         a na začiatku im chýbali signatúry;

      e) predchádzajúca verzia programu WinRAR nezvládala
         rozbaliť záznamy priečinka z archívov vytvorených programom RAR verzie 1.50;
      
      f) v niektorých prípadoch program WinRAR nedokázal rozbaliť
        validný archív formátu .gz, ktorý bol vytvorený neznámym nástrojom
        na optimalizáciu kompresie;

      g) indikátor priebehu, pri zobrazení vo vysokom rozlíšení, nikdy nedosiahol 100%;

      h) čas vytvorenia a posledného prístupu sa nezobrazovali pre archivovanané
         priečinky, v prípade, že záznamy priečinka boli uložene v archíve až za jeho obsahom;

      i) Možnosť "Preskočiť šifrované archívy" nefungovala pri spustení príkazu
         "Skonvertuj archívy" na archívy fromátu 7-Zip, v prípade, že tieto archívy
         mali zašifrované hlavičky.
         
   
   Verzia 5.71
   
   1. Príkaz "Prekonvertovať archívy":

      a) bola zvýšená rýchlosť spracovania veľkého množstva menších
         archívov pri použití programu WinRAR v operačnom systéme Windows 10;

      b) boli opravené úniky pamäte, ktoré mohli, pri konvertovaní archívu na archív formátu ZIP,
         spôsobiť neúmernú spotrebu pamäte.

   2. Spracovanie poškodených archívov formátu ZIP:

      a) príkaz "Opraviť" nahradí veľkosti rozbalených a zbalených súborov,
         uložených v hlavičkách lokálnych súborov, veľkosťami z hlavného priečinka,
         ak hlavičky lokálnych súborov vyzerajú byť nevaliné;

      b) rozbalovanie súboru je zastavené po dosiahnutí očakávanej veľkosti rozbaleného súboru,
         ktorá je uložená v hlavičke archívu formátu ZIP. Takéto opatrenie zabraňuje neočakávanemu
         zaberaniu miesta na pevnom disku.

   3. Príkaz Ctrl+C vyvolá okamžité ukončenie vykonávia príkazu RAR "l". V predchádzajúcich verziách
      programu WinRAR trvalo niekoľko sekúnd, kým bol príkaz RAR "l" ukončený.

   4. Opravené chyby:

      a) program WinRAR mohol zlyhať pri pokuse zobraziť niektoré typy poznámok
         v grafickom užívaťeľskom prostredí;

      b) ak boli v profile kompresie povolené možnosti "Uložiť názov archívu"
         a "Pridať do kontextovej ponuky" a tento profil bol použitý z kontextovej
         ponuky, program WinRAR ponúkol automaticky vygenerovaný nazov archívu
         namiesto použitia názvu archívu uloženého v profile kompresie;

      c) program WinRAR zobrazoval nepotrebné zátvorky v stĺpci "Archív"
         v okne "Diagnostické správy" pre správy chýb systému;

      d) príkaz konsolovej ponuky "Rozbaliť do súboru" mohol zlyhať
         pri rozbalovaní archívu formátu ZIP, v prípade, že názov archívu
         obsahoval čísla praimo pred príponou .zip, pred záznamom o prvom
         súbore sa nachádzali ľubovoľné dáta a bola povolená možnosť
         "Odstrániť nadbytočné priečinky z cesty pre rozbalenie";

      e) pri použití príkazu "RAR x -x<maska> nazov_archívu" boli priečinky,
         obsahujúce súbory vyhovujúce maske, tiež vyradené z rozbalenia;

      f) príkaz "Hľadať" zobrazil vo výsledkoch hľadania aj názov aktuálneho
         priečinka, ak tento názov vyhovoval maske zadanej v poli 
         "Hľadať názvy súborov" a to aj v prípade, že oblasť hľadania bola zadaná
         na "Aktuálny priečinok";

      g) ak boli obe možnosti "Hľadať v súboroch" a "Hľadať v archívoch" povolené,
         príkaz "Hľadať" neporovnával názvy archívov s maskou zadanou v poli
         "Hľadať názvy súborov" a tým pádom nezaradil tieto názvy do výslekov
         hladania ani v prípade, že názvy archívov vyhovovali zadanej maske;

      h) pri spúšťaní spustiteľných súborov priamo z archívu, program WinRAR 5.70
         nenastavil dočasný priečinok pre rozbalenené súbory na aktuálny, tým pádom
         mohlo prísť k zlyhaniu programu WinRAR, v prípade, že by sa spustiteľný súbor
         snažil pristupovať k iným archivovaným súborom;

      i) mohlo sa stať, že program WinRAR, spustený vrámci operačného systému Windows 10, 
         po zatvorení archivovaného súboru, ktorý bol zobrazený v internom prehliadači,
         na niekolko sekúnd nereagoval;

      j) pretiahnutie súboru do podpriečinka v archíve formátu ZIP pri nastavenej možnosti
         "Uložiť plné cesty", vytvorilo nesprávnu cestu daného súboru, kedy táto cesta obsahovala
         opakujúce sa názvy daného podpriečinka. Rovnaká chyba sa vyskytovala pri pridávaní súboru
         do archívu formátu ZIP s použitím prepínačov -ap<priečinok> -ep2.
   
   
   Verzia 5.70

   1. Voľba "Súbory na spracovanie" na záložke "Čas" dialógu "Názov a parametre archívu"
      umožňuje zvoliť súbory, které majú byť zaradené na spracovanie podľa ich času 
      vytvorenia, modifikácie, či posledného prístupu. Predchádzajúce verzie programu WinRAR 
      umožňovali zvoliť súbory na spracovanie iba podľa času modifikácie.
   
   2. Prepínače -ta, -tb, -tn, -to podporujú použitie modifikátorov 
      'm', 'c' a 'a'. Vďaka týmto modifikátorom je možné pre filtrovanie súborov
      použiť nie len čas modifikácie, ale aj čas vytvorenia a posledného prístupu k súboru.    

      Je možné použiť viacero modifikátorov v jednom prepínači,
      napr. -tamc20190215 alebo možete zadať prepínač viackrát vždy s rôznym modifikátorom.

      Pri použití viacerých modifikátorov sa medzi nimi predvolene aplikuje logická spojka "a zároveň",
      čiže súbor musí spĺňať filtrovanie podľa všetkých modifikátorov, aby bol zaradený do spracovania.
      Je však možné, použitím modifikátora 'o', zmeniť logickú spojku na "alebo". V takom prípade,
      na to, aby bol súbor zaradený do spracovania stačí, aby splnil aspoň jedno filtrovanie podľa zadaných modifikátorov.
      Napr. zadanie prepínačov -taco20190201 -tamo20190210 znamená, že na spracovanie budú zaradené
      súbory vytvorené po 2019-02-01 alebo modifikované po 2019-02-10.

      Prepínače -ta a -tn do spracovaní zahŕňajú aj súbory, ktoré presne 
      zodpovedajú zadanému časovému údaju, zatiaľ čo prepínače -tb a -to takéto 
      súbory zo spracovania vynechavajú.

   3. Ak sú tieto informácie dostupné, môže teraz program WinRAR v zozname súborov
      zobraziť aj čas vytvorenia a posledného prístupu.

      Tieto nové stĺpce sú štandardne skryté, môžu však byť aktivované v dialógu "Výber stĺpcov pre zoznam súborov".
      Tento dialóg možno otvoriť kliknutím pravým tlačidlom myši na záhlavie zoznamu súborov
      alebo tlačidlom "Stĺpce..." na karte "Zoznam súborov" v dialógu nastavení programu WinRAR.

   4. Novými nastaveniami "Použiť dvojitú príponu pre archívy" a "Uložiť do samostatných archívov aj súbory z podpriečinkov"
      na karte "Súbory" archivačného dialógu, možno spresniť správanie programu WinRAR
      pri archivácii s aktívnou voľbou "Uložiť každý súbor do samostatného archívu".

      Pomocou voľby "Použiť dvojitú príponu pre archívy" možno prepínať štýl pomenovania
      archívov medzi súbor.rar a súbor.prípona.rar.

      Ak je možnosť "Uložiť do samostatných archívov aj súbory z podpriečinkov" povolená,
      aj súbory z podpriečinkov sa uložia do samostatných archívov.
      Ak táto možnosť nie je povolená, celý obsah priečinka sa uloží do jedného archívu..

   5. Novým prepínačom -ad1 možno pri rekurzívnej extrakcii viacerých archívov - napr.
      'Rar x -r -ad1 arc \ *. Rar' - dosiahnuť to, že obsah archívov sa nevytvorí
      v priečinku do cieľovej cesty, ako tomu je u súčasného prepínača -AD,
      ale priamo v priečinkoch, v ktorých sa nachádzajú samotné zdrojové archívy.

   6. Pri spustení príkazu "Rozbaliť každý archív do samostatného priečinka"
      pre archívy z rôznych priečinkov - napr. v prípade výsledkov hľadania
      vo Windows - budú priečinky pre rozbalené súbory vytvorené vždy
      v priečinku, v ktorom sa nachádza aj zdrojový archív. V predchádzajúcej verzii programu WinRAR
      boli všetky rozbalené súbory a priečinky vytvorené v priečinku archívu,
      na ktorého názve bol príkaz pravým kliknutím vyvolaný.
   
   7. Nová voľba "Zoznam súborov / Možnosti / Zaškrtávacie políčka" v dialógu
      nastavenie programu WinRAR umožňuje, naľavo od názvov súborov, zobraziť zaškrtávacie
      políčka, slúžiace na výber súborov.

   8. Nová voľba "Zoznam súborov / Súbory / Zobraziť presnú veľkosť súborov" umožňuje
      zmeniť zobrazenie veľkosti súborov na veľkosť v bajtoch, namiesto
      zaokrúhlených údajov vo vyšších jednotkách ako KB či MB.

   9. Pri spustení viacrerých inštancií programu RAR s prepínačom -ioff, vypne či uspí počítač
      až tá kópia, ktorá svoju činnosti dokončí ako posledná. V predchádzajúcich
      verziách tento príkaz vykonala už prvá dokončená kópia.

  10. Bola zvýšená veľkosť vyrovnávacej pamäte pre čítanie a zápis súborov
      vo formáte .iso, čo môže v niektorých prípadoch, napr. v sieťových
      uložiskách, pomôcť zlepšiť výkon operácií s týmito súbormi.      

  11. Pri rozbaľovaní zväzkov archívov formátu RAR a REV vo formáte názov_zväzku.časť#
      s aktívnou voľbou "Vymazať archív", budú teraz vymazané aj zväzkov archívov formátu REV.
      Predchádzajúca verzia programu WinRAR nevymazávala zväzky archívov formátu REV.

  12. Pri rozbaľovaní zväzkov archívov formátu ZIP s názvami .zip.001, .zip.002, .zip.003
      s aktívnou voľbou "Vymazať archív", budú teraz vymazané
      všetky zväzky, namiesto iba prvého zväzku ako tomu bolo v predchádzajúcich verziách.

  13. Pri rozbaľovaní pomocou príkazu "Rozbaliť do priečinka názov_archívu\" z kontextovej
      ponuky, pričom názov daného priečinka už existuje, ponúkne teraz program WinRAR
      v kontextovej ponuke príkaz "Rozbaliť do priečinka názov_archívu~1\". Predchádzajúce verzie
      sa stále pokúšali priečinok podľa názvu archívu vytvoriť, čo v prípade, že priečinok
      už existoval, viedlo k chybe v priebehu operácie.

  14. Pri archivácii súborov s príponou .lnk pomocou príkazu z kontextovej ponuky,
      bude teraz do archívu pridaný samotný .lnk súbor, namiesto celého obsahu cieľa takéhoto súboru,
      ako tomu bolo v predchádzajúcich verziách.

  15. Pretože systém Windows nepodporuje spustiteľné súbory väčšie ako 4 GB,
      ohlási program WinRAR, v prípade pokusu o vytvorenie takto veľkého deleného
      samorozbaľovacieho archívu, chybu ihneď po zistení tejto okolnosti.
      Predchádzajúce verzie túto chybu ohlásili až po vytvorení prvého zväzku archívu.

  16. Teraz možno aj pri rozbaľovaní delených 7z archívov zobraziť celkový priebeh
      operácie. Bola zlepšená presnosť výpočtu celkového priebehu rozbaľovania
      7z archívov.

  17. Zoznam "Disky a priečinky" v dialógu hľadania bol premenovaný na
      "Oblasť vyhľadávania". Okrem existujúcich možností teraz obsahuje
      aj možnosť "Označené položky", ktorej prostredníctvom je možné hľadanie obmedziť na súbory
      a priečinky označené v zozname súborov programu WinRAR.

  18. Príkaz "Hľadať" teraz v stavovom riadku zobrazuje počet nájdených výsledkov.

  19. V okne "Diagnostické správy" sa teraz názvy archívov, pre lepšiu čitateľnosť
      dlhých názvov, zobrazujú v osobitnom stĺpci.
   
  20. Prepínač -isnd[-] pri volaní vyvolaní WinRAR z príkazového riadku umožňuje
      deaktivovať zvukové oznámenia aktivované v nastavení programu WinRAR.
      Prepínačom -isnd je možné zapnúť a prepínačom -isnd- vypnúť zvukové oznámenia.

  21. Nadav Grossman zo spoločnosti Check Point Software Technologies nás
      informoval o zraniteľnosti v knižnici UNACEV2.DLL, ktorú program WinRAR používal
      na rozbaľovanie archívov typu ACE. Táto chyba umožňovala vytvorenie ľubovoľných súborov
      v ľubovoľných priečinkoch - aj mimo cieľový priečinok rozbaľovania - pri rozbaľovaní archívov typu ACE.

      Pretože táto knižnica nebola od roku 2005 aktualizovaná a my nemáme
      prístup k jej zdrojovému kódu za účelom jej opravy, rozhodli sme sa
      z dôvodu ochrany používateľov programu WinRAR podporu archívov typu ACE
      z programu WinRAR odstrániť.

      Ďakujeme Spoločnosti Check Point Software Technologies za informáciu
      o tejto zraniteľnosti.
   
  22. Opravené chyby:

      a) Program príkazového riadku RAR zamieňal veľkosť a čas zdrojového a cielového súboru 
         v dialógu na prepísanie súboru v RAR archíve pri použití prepínača -o;

      b) Nebolo možné presunúť súbory z 32-bitových aplikácií do 64-bitového 
         programu WinRAR;

      c) Príkaz programu WinRAR pre trvalé odstránenie súborov Shift+Del mohol, pri použití
         na celý priečinok, zlyhať pri odstaňovaní niektorých podpriečinkov;

      d) Panel stromovej hierarchie priečinkov nedokázal zmeniť archivované priečinky, ktorých názov začínal 
         oddelovačom ciest - napríklad v archívoch vytvorených programom tar 
         s použitím prepínača --absolute-names;    

      e) Ak pri rozbaľvaní samorozbaľovacieho archívu bol nastavený cieľový priečinok 
         "Path=.\priečinok" a program WinRAR k jeho otvoreniu musel požiadať o vyššie práva, 
         cieľový priečinok sa vytvoril nakoniec ako 'priečinok\priečinok' namiesto iba 'priečinok';

      f) Príkazy programu WinRAR upravujúce existujúci zväzkok archívu vo formáte RAR4 spôsobovali resetovanie
         čísla zväzku archívu na 1. Toto síce neovplyvňovalo rozbaľovanie takýchto archívov,
         program WinRAR, ale pre takéto zväzky zobrazoval nesprávne číslo;

      g) Program WinRAR mohol pri čítaní komentáru poškodeného 
         archívu skončiť s chybou;

      h) Panel nástrojov v dialógu s výsledkami príkazu "Hľadať" sa nesprávne 
         prispôsoboval rôznym veľkostiam tlačidiel.
         
                
   Verzia 5.61

   1. Možnosť "Vymazať archív", v novej verzii programu WinRAR, odstráni všetky
      zväzky aj keď používateľ spustil rozbaľovanie iného ako prvého zväzku archívu formátu RAR.
      Prvý zväzok sa však musí nachádzať v rovnakom priečinku a rozbaľvanie musí byť dokončené úspešne.
      Predchádzajuce verzie programu WinRAR v takomto prípade ignorovali možnosť "Vymazať archív",
      aj keď program WinRAR vedel lokalizovať prvý zväzok rozbalovaného archívu.
   
   2. Ukazovateľ pomeru kompresie sa už na karte "Archív" prehliadača parametrov
      súboru nebude zobrazovať. Toto platí iba pre archívy so zašifrovanými názvami súborov.
      Pre takéto archívy nebol program WinRAR schopný pomer kompresie,
      bez znalosti hesla, správne spočítať a preto zobrazoval stále iba informáciu 0%.
   
   3. Opravené chyby:

      a) program WinRAR pri pokuse o otvorenie archívu formátu RAR5,
         so zašifrovanými názvami súborov, donekonečna zobrazoval správu "Zadané heslo je nesprávne".
         Toto správanie bolo spôsobené zadaním zlého hlavného hesla pomocou príkazu Ctrl+P;

      b) chyba v manažmente pamäte v dialógu zadávania hesla umožnovala sprístupniť
         už predtým uvoľnenú pamäť a spôsobiť pád programu WinRAR;

      c) poškodené archívy fromátu RAR, ACE a LZH spôsobovali pád programu WinRAR;

      d) počas spúštania programu WinRAR, panely ponuky niektorých iných aplikácií blikali;

      e) príkaz programu WinRAR "Hľadať", v archívoch formátu CAB,
         porovnával text zadaný v poli "Hľadať textový reťazec"
         voči všetkým súborom v archíve, pričom ignoroval text zadaný v poli "Hľadať názvy súborov";

      f) príkaz SFX modulu "Licencia" nenastavil titulok okna s licenciou;

      g) ak cesta priečinka otvaraného pri štarte programu WinRAR obsahovala koncové spätné lomítko,
         program WinRAR ignoroval prvý príkaz prechodu o priečinok vyššie.


   Verzia 5.60

   1. Aktualizované grafické užívateľské rozhranie programu WinRAR.
        
      Sme veľmi vďačný dizajnérom z http://weirdsgn.com a http://icondesignlab.com,
      ktorý spolupracovali na tejto aktualizácií a s potešením môžeme oznámiť,
      že program WinRAR používa nový set ikoniek a obrázkov vytvoených
      pánom Aditya Nugraha Putra z http://weirdsgn.com.
      
      Predchádzajúce ikony a obrázky programu WinRAR sú dostupné ako
      téma grafického užívateľského rozhrania tu:
      
      https://rarlab.com/themes/WinRAR_Classic_48x36.theme.rar
   
   2. Efektivita príkazu "Opraviť" pre RAR5 archívy chránené pomocou záznamu pre obnovu dáta
      sa výrazne zlepšila.
   
   3. Možnosť archívácie "Po dokončení operácie vypnúť počítač" je zmenená
      na rozbaľovací zoznam "Po dokončení". Užívateľ si môže zvoliť, akú akciu chce po dokončení operácie
      archivácie vykonať.

   4. Použitím prepínača -ioff alebo -ioff1 sa počítač, po dokončení operácie programu WinRAR, vypne.
      Použitím prepínača -ioff2 sa počítač, po dokončení operácie programu WinRAR, prepne do stavu hibernácie.
      Použitím prepínača -ioff3 sa počítač, po dokončení operácie programu WinRAR, prepne do stavu spánku.
      Použitím prepínača -ioffč sa počítač, po dokončení operácie programu WinRAR, reštartuje.

   5. Ak súbor obsahujúci komntaré, ktorý je špecifikovaný prepínačom -z<súbor>,
      nemá definované kódovanie pomocou prepínača -sc, program WinRAR sa pokúsi
      automaticky rozpoznať kódovania UTF-8, UTF-16LE a UTF-16BE.

   6. Program WinRAR automaticky rozpoznáva kódovania ANSI, OEM and UTF-8 textov komentárov
      v archíve formátu ZIP.
   
   7. Možnosť "Interný prehliadač/Použiť DOS kódovanie" v dialógu "Nastavenia"
      na karte "Prehliadač" je nahradená možnosťou "Interný prehliadač/Automatické rozpoznanie kódovania".
      Ak je táto možnosť povolená, interný prehliadač sa pokúsi automaticky rozpoznať kódovania
      ANSI (Windows), OEM (DOS), UTF-8 a UTF-16.

   8. Bežne sa v kontextovej ponuke zobrazujú iba príkazy rozbalenia archívu.
      Toto zobrazenie je možné upraviť pomocou medzerou oddelených zástupných znakov,
      špecifikovaných v položke "Vždy zobraziť príkazy archivácie pre". Tieto zástupné znaky určia,
      pre ktoré súbory sa budú príkazy archivácie zobrazovať v kontextovej ponuke. Ak si želáte
      v kontextovej ponuke zobrazovať aj príkazy archivácie aj príkazy rozbalenia bezohladu
      na typ súboru, zadajte do položky "Vždy zobraziť príkazy archivácie pre" zástupný znak "*".
   
   9. Príkaz "SetupCode" modulu SFX akceptuje voliteľný parameter, ktorý umožňuje
      nastaviť mapovanie medzi návratovými hodnotami instalačných programov a samotného SFX modulu.
      Tento parameter je možné tiež nastaviť poli "Prispôsobenie návratovej hodnoty" 
      v dialógu "Pokročílé nastavenia SFX" na karte "Inštalácia".
   
  10. Nový prepínač príkazového riadku "Zobraziť viac informácii" -im.
      Môže byť použitý s príkazom "t" na zobrazenie správy v prípade
      uspešného testu archivácie. Bez tohoto prepínača príkaz "t"
      ukončí vykonávanie, ktoré skoncilo bez chýb, bez uvedomenia užívatela.

      Tento prepínač je možné použiť iba v programe WinRAR.exe. Program RAR.exe ho ignoruje.

  11. Ak je pri rozbalovaní ZIP archívu so zašifrovanými súbormi 
      zadané nesprávne heslo, program WinRAR zobrazi dialóg na znovuzadanie hesla
      namiesto ukončenia celej operácie.

  12. Ak je pri otváraní alebo rozbalovaní RAR archívu so zašifrovanými názvami súborov 
      zadané nesprávne heslo, program WinRAR zobrazi dialóg na znovuzadanie hesla
      namiesto ukončenia celej operácie.
      
  13. Program WinRAR rozpoznáva archívy formátu GZIP, ktoré obsahujú
      ľubovoľné dáta predchádzajúce samotnému GZIP archívu, ako napríklad
      súbory "firmware" formátu .scexe.

  14. Parameter "@filelist" može byť špecifikovaný v poli "Súbory na pridanie" v dialógu archivácie.
      V tomto prípade sa program WinRAR načíta zoznam súborov na archivovanie zo súboru, ktorý by mal
      byť textový súbor obsahujúci názvy súborov, každý zvlášť na samostatnom riadku.

  15. Dialóf Informácie o archíve:
      
      a) graf pomeru kompresie je aktualizovaný;

      b) "Názvy a dáta" sú zobrazené v položke "Šifrovanie"
         pre archívy so zašifrovanými názvami súborov.

  16. Po nastavení kurzora myši nad názov archívu v okne priebehu operácie
      sa zobrazí celý názov archívu.

  17. V prípade použitia prepínača -tsl spolu s prepínačmi -u alebo -f, porovnávanie
      časových údajov bude vykonané s presnosťou na 1 sekundu.

  18. Príkazy príkazového riadku 'u' a 'f' sa v prípade, že v archívie nie sú
      ziadne súbory, ktoré by bolo treba aktualizovať, okamžite ukončia.

  19. Po vytvorení 500 zväzkov program WinRAR zobrazi dialóg umožňujúci
      používatelovi buď pokračovať vo vytváraní zväzkov alebo ukončiť archiváciu.
      Je to prevencia pred vytváraním tisícov zväzkov v prípade nesprávne zadaného
      počtu zväzkov.

  20. Program WinRAR v novej verzii používa megabajty namiesto bajtov
      ako predvolenú jednotku veľkosti zväzkov.

  21. Príkaz "Opraviť" zobrazí správu "Záznam pre opravu dát je poškodený",
      ak pri opravovaní archívu formátu RAR5 narazí na poškodený záznam na opravu dát.
      V predchádzajúcej verzii programu WinRAR takúto spravú zobrazoval iba príkaz "Otestovať"
      a príkaz "Opraviť" spracoval väčšinu záznamov na opravu dát na pozadí bez vedomia užívatela.

  22. Opravené chyby:

      a) bola vyriešená potenciálna bezpečnostná hrozba pri spracovávaní
         poškodených RAR archívov;
      
      b) znaky nepochádzajúce z anglickej abecedy sa v súboroch
         formátu TAR s rozšírenou hlavičkou PAX nezobrazovali správne;

      c) príkaz "rar x arcname.rar .." nerozbalil súbory do nadradeného priečinka,
         ale do aktuálneho;

      d) po vlození súborov, ktoré boli skopírované z Windows Explorer-u,
         do archívu otvoreného v programe WinRAR nebolo možné ďalej použiť
         funkciu "Kopírovať a vložiť", pokiaľ nebola archivácia daného archívu
         ukončená;

      e) Po zadaní zlého hesla, SFX modude donekonečna zobrazoval správu
         "Zadané heslo je nesprávne" a nikdy nezobrazil dialóg na znovuzadanie hesla;

      f) časové údaje priečinka boli, pri rozbalovaní archívov formátu ZIP,
         nastavené vždy, dokonca aj pri vypnutej možnosti zaznamenávania časových údajov;

      g) ak bola pri rozbalovaní archívu formátu .zip alebo .7z zvolená možnosť "Odstrániť archív: Vždy"
         a užívaťel stlačil tlačidlo "Zrušiť" v dialógu prepísania existujúceho
         archívu alebo v dialógu zadania hesla, archív mohol byť zmazaný
         aj napriek zrušeniu rozbalovania

                    
    Verzia 5.50

    1. Program WinRAR a program príkazového riadku RAR predvolene
    používajú formát archívov RAR 5.0. Ak si želáťe vytvoriť archív 
    pôvodného formátu RAR 4.x, prepnite na možnosť "RAR4" v dialógu
    archivácie alebo použite prepínača príkazového riadku -ma4.
      
    Ak si želáte používať formát RAR 4.x predvolene, použite tlačidlo
    "Vytvoriť predvolené..." v dialógu "Nastavenia" na karte "Kompresia"
    a nastavte možnosť "RAR4" v zobrazenom dialógu.

    Predvolené použitie formátu RAR 5.0 sa týka iba nových inštalacií
    programu WinRAR. Ak už program WinRAR máte nainštalovaný a máte
    máte nastavený predvolený formát, inštalácia novej verzie 
    bude rešpektovať toto nastavenie a nezmení ho.

    2. Pouužite tlačidlo "Nastaviť hlavné heslo" v dialógu "Správa hesiel"
    pre zašifrovanie existujúcich uložených hesiel a ich ochranu pred
    neautorizovaným prístupom.
      
    Ak sú uložené heslá chránené pomocou hlavného hesla, je potrebné 
    toto hlavné heslo zadať predtým, ako je možné pristúpiť k uloženým heslám. 
    Ak zadaný reťazec nie je zhodný s hlavným heslom, program WinRAR
    použije tento reťazec ako heslo pre aktuálnu operáciu.

    Po prvom zadaní hlavného hesla už toto heslo nemusíte zadávat 
    až pokým program WinRAR nezavriete alebo nepristupujete k profilu kompresie 
    s iným hlavným heslom. Ak si želáte zrušiť hlavné heslo, zadajte a povrdte 
    prázdy reťazec v dialógu, v ktorom Vás program WinRAR žiada o zadanie 
    hlavného hesla.

    Táto verzia programu WinRAR používa nový dátový formát pre správu hesiel,
    takže heslá uložené v tomto novom formáte nie sú citateľné staršími verziami
    programu WinRAR. Táto zmena nemá vplyv na formáty šifrovania a zašifrované
    archívy sú stále kompatibilné so staršími verziami programu WinRAR.
    Nový dátový formát pre správu hesiel nie je použitý hned pri inštalácii 
    novej verzie programu WinRAR, ale až pri uložení nového hesla.

    3. Ak nie je zadané hlavné heslo, heslá uložené v profiloch kompresie 
    sú uschované v Registroch v nezabespečenej forme. Takže ktokoľvek, 
    kto má prístup k Vášmu počítaču ich môže vidieť. Preto sa odporúča nastaviť
    hlavné helso pre zašifrovanie hesiel uložených vo všetkých profiloch 
    kompresie. Ak budete chieť zobraziť profil kompresie s uloženým heslom 
    a budete mať už hlavné heslo pre profily kompresie nastavené, budete musieť 
    najskôr toto hlavné heslo zadať a až potom sa Vám daný profil komresie 
    zobrazí.

    Po prvom zadaní hlavného hesla už toto heslo nemusíte zadávať až pokým 
    program WinRAR nezavriete alebo nepristupujete k profilu kompresie 
    s iným hlavným heslom.

    4. Predvolene program WinRAR používa pre zašifrovanie archívov formátu ZIP 
    šifrovací algoritmus AES-256 v móde CTR. Zatialčo šifrovací algoritmus
    AES-256 je výrazne bezpečnejší ako pôvodný šifrovací algoritmus ZIP 2.0,
    môže však byť nekompatibilný s niektorými staršími verziami programov
    používaných na rozbaľovanie archívov formátu ZIP. Ak je kompatibilita
    s takými programami vyžadovaná, je možné povoliť v dialógu "Nastaviť heslo"
    možnosť "Použiť pôvodné šifrovanie archívov formátu ZIP" alebo použiť
    prepínač príkazového riadku -mezl. 

    5. Bola pridaná prodpora pre archívy formátu .LZ vytvorených programom Lzip.

    6. Moderné programy pre prácu s archívmi formátu TAR dokážu vrámci archívov 
    formátu TAR ukladať rozmerné zúbory, veľmi dlhé názvy súborov 
    a časové údaje súborov vo veľmi vysokej presnosti do špeciálnych hlavičiek 
    formátu PAX. Tieto špeciálne hlavičky formátu PAX od novej verzie podporuje
    aj program WinRAR a používa ich pri rozbaľovaní TAR archívov.

    7. V dialógu "Názov a parametre archívu" na karte "Čas" bola pridaná nová 
    možnosť "Uložiť čas poslednej modifikácie". Táto možnosť môže byť použitá 
    pre zakázanie uloženia času poslednej modifikácie v archívoch formátu 
    RAR 5.x. Pôvodná možnosť "Vysoká presnosť času poslednej modifikácie"
    bola nahradená možnosťou "Formát vysokej časovej presnosti".

    8. V dialógu "Nastavenia" na karte "Všeobecné" bola pridaná nová možnosť 
    "Zobraziť v záhlaví celú cestu súboru". Ak je táto možnosť povolená,
    v záhlaví je zobrazená celá cesta k otvorenému priečinku alebo archívu.

    9. V dialógu "Nastavenia" na karte "Kompresia" bola pridaná nová možnosť 
    "Typy súborov, ktoré otvoriť najskôr ako archívy". 
    Tu môžete definovať typy súborov, pre ktoré, po ich
    otvorení, program WinRAR zobrazí najskôr ich obsah, podobne ako u archívov.
    Príkladom môžu byť samorozbaľovacie súbory s príponou ".exe" alebo archívy,
    ktoré nie sú asociované s programom WinRAR.

    Preddefinované nastavenie obsahuje iba samorozbaľovacie súbory 
    s príponou ".exe". Čo znamená, že po otvorení takýchto súborov, ich 
    program WinRAR nespustí, ale zobrazí ich obsah. Ostatné archívy, ktoré
    nie sú asociované s programom WinRAR, budú spustené. 

      Bezohľadu na túto možnosť, použitím kombinácie kláves Ctrl+PgDn
    prinútite program WinRAR zobraziť obsah akéhokoľvek archívu.

      Nastavenie predvoleného priečinka pre archívy a rozbalené súbory
    je presunuté vrámci dialógu "Nastavenia" z karty "Kompresia" do karty
    "Cesty".

    10. Príkaz "Kopírovať do schránky celú cestu súboru" v ponuke "Súbor",
    uloží celé názvy všetkých označných súborov do schránky.   

    11. Zmeny v kontextovej ponuke zobrazenej pri kliknutí pravým tlačidlom
    miši na súbor zobrazený v módé správy súborov programu WinRAR:

      a) niekoľko príkazov, ktoré sa nachádzajú na paneli nástrojov
      alebo v hlavnom menu ako "Zobraziť" a "Opraviť", bolo odstránených
      z tohto kontextového menu;

      b) príkaz "Kopírovať do schránky celú cestu súboru" bol pridaný; 

      c) príkazy "Spustiť" pre samorozbaľovacie súbory, 
      "Otvoriť v aplikácii asociovanej s príponou daného súboru" pre súbory
      asociovanými s inými aplikáciami a "Zobraziť obsah archívu"
      pre archívy boli pridané. Pri samorozbaľovacích súboroch a archívoch,
      ktoré nemajú štandardnú príponu archívov, je možné použiť viaceré 
      príkazy a tým sa rozhodnúť, ako daný súbor spracovať. 

      Tieto príkazy sú k dispozícii iba v módé správy súborov programu WinRAR
      a nie sú dostupné pri prehliadaní obsahu archívov.

    12. Prípony archívov LZ a ZIPX sú pridané do zoznamu associovaných
    súborov s programom WinRAR, ktorý sa nachádza v dialógu "Nastavenia" 
    na karte "Integrácia".

    13. Prípony archívov LZ a ZIPX sú pridané do zoznamu formátov pre prepínač
    -ms použitý bez parametrov.

    14. Pridaním znaku 'f', definujúceho zankovú sadu, k prepínaču -sc
    definujete použitie kódovania UTF-8. Napríklad príkaz:

      rar a -scfl arcname @filelist.txt

      umožní čítanie obsahu súboru filelist.txt ako textu s kódovaním UTF-8.

    15. Príkazy "lt" a "vt", použité pri vytváraní archívu formátu
    RAR5 pomocou programu RAR verzie 5.50 a novšej na operačnom systéme
    Unix, zobrazujú časové údaje súborov s presnosťou na nanosekundu.
    Archívy vytvorené programom WinRAR zobrazujú časové údaje súborov 
    s presnosťou na 100 nanosekúnd.

    16. V novej verzii programu WinRAR sú pri použití prepínača -ts
    podporované iba nasledovné špecifikácie presnosti časových údajov 
    súboru: '+', '-' a '1'. Pri použití špecifikácie presnosti '+' 
    sa budú časové údaje súboru ukladať s maximálnou možnou presnosťou, 
    pri použití '-' sa časové údaje súboru nebudú ukladať a pri použití
    '1' sa budú časové údaje súboru ukladať s presnosťou na 1 sukundu.
    Predchádzajúce špecifikácie presnosti časových údajov '2' a '3'
    už nie sú v archívoch formátu RAR 5.0 podporované a sú prepínačom
    -ts ignorované.

    17. Ak je pri rozbaľovaní zašifrovaného súboru z archívu formátu RAR 
    vložené nesprávne heslom program WinRAR Vás v novej verzii namiesto
    zrušenia celej operácie požiada o opätovné zadanie hesla.

    18. Informácia o ceste k súboru sa zobrazuje, ak v okne priebehu operácie
    presuniete kurzor nad archivovaný súbor.

    19. Názov aktívneho profilu kompresie sa zobrazuje v dialógu archivácie
    nad tlačidlom "Profily...".

    20. Ak je príkaz "Hľadať" spustený z vnútra zaarchivovaného priečinka,
    pole "Hľadať názvy súborov" bude obsahovať cestu k danému priečinku,
    čo znamená, že hladanie bude prebiehať iba v danom priečinku a jeho
    podpriečinkoch.

    21. Opravené chyby:

      a) boli opravené zlyhania a bezpečnostné zraniteľnosti programu WinRAR
      pri rozbaľovaní poškodených archívov formátu RAR;

      b) program WinRAR zlyhal pri rozbaľovaní archívov fromátu ZIP
      zkomprimovaných pomocou algoritmu XZ a s použitím šifrovania AES;
      
      c) ak možnosť "Systémový ukazateľ priebehu" bola vypnutá a možnosť
      "Uložiť každý súbor do samostatného archívu" bola povolená,
      "zlatá" časť ukarateľa priebehu nezobrazovala pomer medzi
      zkomprimovanou a nezkomprimovanou veľkosťou správne;

      d) priebeh extrakcie samorozbaľovacieho archívu sa nesprávne zobrazoval,
      ak bol daný archív viac-zväzkový a ceľková veľkosť presahovala 4 GB;

      e) ak názov archivovaného priečinka obsahoval na konci medzeru
      alebo iné "biele znaky", ak užívateľ vybral a extrahoval takýto
      pričinok z nekoreňového priečinka archívu a ak možnosť
      "Povoliť potenciálne nekompatibilné názvy" v dialógu
      "Cieľ rozbalenia a možnosti" bola vypnutá, program WinRAR
      mohol pri extrakcii vynechať niektoré začiatočné znaky takéhoto 
      priečinka;

      f) ak bol v archíve formátu RAR5 uložený iba čas vytvorenia 
      alebo čas posledného prístupu s presnosťou na 1 sekundu,
      vytvorené napríklad pomocou prepínačou -ma5 -tsm- -tsa1,
      tieto časové údaje boli pri extrakcii ignorované.
         

    Verzia 5.40

    1. Submenu "Kódovanie názvov súborov" v menu "Možnosti" umožňuje výber
      kódovania pre názvy archivovaných súborov. Táto voľba ovplyvňuje
      prehliadanie a rozbaľovanie archívov. Použitím klávesovej skratky
      Ctrl+E sa dostanete priamo do submenu "Kódovanie názvov súborov".

      Táto funkcionalita môže byť užitočná pri rozbaľovaní archívu,
      ktorý neobsahuje názvy súborov kódovaných pomocou Unicode kódovania.
      Napríklad, pri rozbaľovaní archívu formátu zip, ktorý obsahuje názvy
      súborov v činskom jazyku, na operačnom systéme Windows so špecifikovaným
      ruským jazykom ako jazykom pre programy nevyužívajúce Unicode kódovanie.
      
    2. Ak sa súbory ".rev" (obnovovacie zväzky) nachádzajú v rovnakom priečinku 
      ako dátové zväzky, príkaz "Otestovať súbory v archíve" skontroluje obsah
      suborov ".rev" hned po tom čo dokončí testovanie súborov ".rar".

      Ak si želáte otestovať iba súbory ".rev", môžete to vykonať
      v režime prehiadania súborov programu WinRAR oznacením súborov ".rev" 
      a spusťitením príkazu "Otestovať súbory v archíve". Ďaľšou možnosťou je spustiť
      nasledujúci príkaz v príkazovom riadku:

      rar t arcname.part1.rev

    3. Zatiaľ čo súborový systém NTFS povoľuje použitie znaku medzery 
      a bodky na konci názvu súboru, mnohé programy takáto názvy nepodporujú. 
      Ak je možnosť "Povoliť potenciálne nekompatibilné názvy"
      zapnutá, program WinRAR odstráni pri rozbalovaní koncové medzery 
      a bodky z názvov súborov.

      Táto možnosť je predvolene vypnutá.

      Prepínač -oni je v príkazovom riadku je eqvivalentom možnosti 
      "Povoliť potenciálne nekompatibilné názvy".

    4. Pôvodne bolo vykonávanie príkazu "Synchronizovať obsah archívu" (prepínač -as)
      prerušené, ak niektoré priečinky v archíve nebolo možné prečítať.
      Teraz program WinRAR pokračuje vo vykonávaní operácie a nečitateľné priečinky
      zachováva.

    5. Použitím klávesovej skratky Shift+Del nebudú súbory 
      presunuté do koša ale budú priamo odstránené. Táto klávesová skratka 
      umožňuje odstrániť taktiež súbory s nastaveným systémovým 
      atribútom "iba na čítanie" alebo súbory s neštandardnými
      názvami, ktorých odstránenie pomocou odpadkového koša môže zlyhať.

    6. Program WinRAR teraz umožňuje kopírovať alebo rozbalovať súbory pretianutím z panelu, ktorý zobrazuje
      zoznam súborov, do iných programov alebo na pracovnú ploch systému Windows.

    7. Tlačidlo "Nový priečinok" v dialógu "Cieľ rozbalenia a možnosti" ponúka
      názov nového priečinka na základe názvu archívu. 

    8. Informácie o programe RAR

      a) ak je prepínač -iver zadaný, program RAR zobrazí číslo verzie programu RAR
         a ukončí sa. Je možné spustiť iba príkaz "RAR -iver";

      b) označenie bitovej verzie programu RAR pre Windows ("x86" alebo "x64") sa zobrazí,
         použítím prepínača -iver a tiež v informáciach o autorovi pri použití
         ostatných príkazov.

    9. Ak je prepínač -p použitý bez voliteľného parametra <pwd> pre nastavenie
      hesla, heslo može byť nastavené pomocou vtupného súboru.

      Napríklad: rar -p myarc.rar myfiles < psw.txt

    10. Ak archív "arcname.partN" neexistuje program RAR začne vyhľadávať archív
      s názvom "arcname.partN.rar". Ak ten existuje začne ho spracovávať.
      
      Táto funkcionalita zaručuje, že spustením príkazu

      RAR x arcname.part01

      sa robalí buď archív "arcname.part01" alebo archív "arcname.part01.rar".
      Ak sa nachádzajú oba spracuje sa iba archív "arcname.part01".

    11. Vylepšenia podpory archívov typu 7z:

      a) Pri použití príkazu "Informácie" je status archívu typu "Solid" 
         korektne detekovaný a zobrazený;

      b) Pri použití príkazu "Informácie" je zobrazená veľkosť
         7z archívov LZMA a LZMA2;

      c) Pri prehliadaní obsahu archívu v programe WinRAR sa neznáma
         veľkosť súborov zbalených do "Solid" archívu zobrazuje ako '?' namiesto '0'.

    12. Maximálna veľkosť poznámky pre RAR archívy sa zvýšila zo 64 na 256 KB.

      Keďže príkazy skriptu samorozbaľovacieho archívu SFX sú uložené v poznámke
      archívu, umožňuje táto zmena uloženie dlhšieho hlavného a licenčného textu.

    13. Veľkosť predvoleného fontu programu WinRAR sa správne prispôsobuje
      rozlíšeniu.

    14. Prepínač -scul môže byť teraz použitý aj na spracovanie zoznamu súborov kódovaných
      kódovaním UTF-16 v prípade, že majú správne nastavený znak poradia bajtov.

    15. Minimálna podporovaná verzia systému Windows je teraz XP SP3.

    16. Možnosť "Nastavenia/Zoznam súborov/Používať VEĽKÉ písmená" bola odstránená.
      Táto možnosť mala pôvodne zjednodušiť prechod zo systému MS DOS na systém
      Windows avšak už viac nie je potrebná.

    17. Opravené chyby:

      a) príkaz "Zbaliť a poslať e-mailom" vo verzii programu WinRAR 5.31 x64
         nefungoval pri použití programu Microsoft Outlook x64;

      b) ak bol program WinRAR 5.31 nainštalovaný pre jazyk čítajúci sa zprava
         do ľava na systéme Windows s nastaveným systémovým jazykom,
         ktorý sa čita zľava do prava, program WinRAR mohol zmeniť rozloženie
         programu Windows Explorer na jazyk čítajúci sa zprava do ľava;

      c) ak bol archív uložený v priečinku, do ktorého boli potrebné práva
         na zápis a ak bol obsah archívu rozbalený pretiahnutím archívu
         do priečinka, do ktorého neboli potrebné práva na zápis,
         program WinRAR zobrazil nepotrebnú výzvu na potvrdenie práv.        
         
         
    Verzia 5.31

    1. Opravené problémy so zobrazením vo vysokom rozlíšení:

      a) ak bola veľkosť textu v operačnom systéme Windows nastavená na 150%
         alebo viac, veľkosť textu v nápovede programu sa nebola odpovedajúco 
         zväčšená a tým pádom bol text príliš malý;

      b) predvolená šírka stĺpcov v zozname súborov zobrazenom v programe WinRAR
         bola príliš malá ak bola veľkosť textu v operačnom systéme Windows 
         nastavená na 125% alebo viac;

    2. Vylepšenia užívaťeľského rozhrania pre jazyky, ktoré sa píšu z prava do ľava:

      a) zarovnanie textu v dialógoch pre potvrdenie akciem, ako napríklad
         potvrdenie pre zmazanie archivovaných súborov alebo potvrdenie vymazania
         súboru so záznamom činností;

      b) Tlačidlá "OK", "Cancel" a "Help" sú vo viac-záložkových dialógoch,
         ako možnosti archivácie a extrakcie, správne zarovnané, zoradené
         and preložené do predvoleného jazyka operačného systému Windows;  

    3. Opravené chyby:

      a) Ako dôsledok použitia funkcií API rozhrania operačného systému Window
         mohol SFX modul programu WinRAR načítať knižnicu DLL s priečincku,
         z ktorého bol spustený. To mohlo viesť k bezpečnostnému riziku, kedže
         do priečinka modulu SFX mohla byť umiestnená knižnica DLL so škodlivým
         kódom a tato by bola potom modulom SFX načítaná. V novej verzii programu
         WinRAR sú implementované opatrenia, aby sa takejto hrozbe, 
         na operačných Windows Vista a novších, predišlo;

         V prípade nenainštalovaných najnovších bezpečnostných opráv v operačných
         systémoch Windows Vista a novších alebo v prípade operačných systémov 
         Windows XP však toto bezpečnostné riziko stále existuje a preto musia 
         byť užívatelia takýchto operačných systémov obžvlášť opatrný 
         pri spúšťaní SFX archívov;
      
      b) Program WinRAR nedokázal spustiť súbory s príponov .lnk zo zoznamu súborov
      
                   
    Verzia 5.30

    1. Informácie o kritickej zraniteľnosti v samorozbalovacích archívoch
      programu WinRAR uverejnené v médiách v Septembri a v Októbri 2015
      nie sú korektné. Naneštatie média nedokázali odhaliť, že to čo bolo
      popísané ako zraniteľnosť programu WinRAR je vlastne zraniteľnosť
      nachádzajúca sa vo Windows OLE, ktorá bola opravená v Novembri 2014:

      https://technet.microsoft.com/en-us/library/security/ms14-064.aspx

      Dokonca aj bez opravy z Novembra 2014, nepredstavuje táto zraniteľnoť
      hrozbu pre užívateľov pri používaní archívov SFX programu WinRAR.

      Viac informácii môžete nájs na stránke:
      http://rarlab.com/vuln_sfx_html2.htm

      Žiadne opravy programu WinRAR nie sú potrebné.

    2. Bola pridaná možnosť práce s archívmi vytvorenými v programe 7-Zip,
      ktoré sú rozdelené do viacerých suborov s príponou .zip.001, .zip.002, ...
      Pre prehliadanie alebo rozbalenie takýchto archívov je nutné otvoriť
      prvú časť takéhoto archívu (súbor s príponou .zip.001) v programe WinRAR.
      Všetky časti archívu sa musia nachádzať v rovnakom priečinku pred začatím
      rozbalovania.

    3. Bola pridaná možnosť práce s archívmi, ktoré sú rozdelené do viacerých 
      suborov s príponou .001, .002, ...
      Pre prehliadanie alebo rozbalenie takýchto archívov je nutné otvoriť
      prvú časť takéhoto archívu (súbor s príponou .001) v programe WinRAR.
      Všetky časti archívu sa musia nachádzať v rovnakom priečinku pred začatím
      rozbalovania.

      Prípona "001" je automaticky asociovaná s programom WinRAR. Túto voľbu
      môžete zmeniť v časti "Associovať WinRAR s" v dialógu "Nastavenia/Integrácia"
         
    4. V zozname súborov a priečinkov zobrazených v okne programu WinRAR 
      sa teraz možete pohybovať aj použitím tlačidiel "Ďalej" a "Späť" na myši 
      alebo pomocou klávesových skratiek Alt+Left a Alt+Right.

    5. Zástupné znaky je teraz možné používať v príkazovom riadku programu RAR
      pre názvy súborov, ktoré sa maju archivovať. 
      
      Napríklad príkaz:
      
      rar a backup c:\backup\2015*\*
      
      vloží do archívu všetky priečínky začínajúce číslom 2015, 
      ktoré sa nachádzajú v priečinku c:\backup. Pre vyhľadávanie priečinkov,
      začínajúcich číslom 2015 aj v podpriečinkoch priečinka c:\backup, použite
      prepínač -r.

    6. Tlačidlo "Rozbaliť" je počas rozbalovania archívu nahradené tlačidlom
      "Pozastaviť", takže je možné pozastaviť a neskôr opäť spustiť proces 
      rozbalovania samorozbaloacích archívov.

    7. Do dialógu "Hľadať súbory" bola pridaná voľba "Vynechať šifrované položky",
      ktorá umožňuje preskakovať zašifrované archívy počas vyhľadávania.

    8. Príkaz "Otestovať súbory v archíve" teraz funguje aj pre archívy formátov
      tar.gz, tar.bz2 a tar.xz. Pretože formát TAR neposkytuje kontrolný súčet
      súborov, program WinRAR kontroluje validitu iba pri archívoch formátov
      GZIP, BZIP2 alebo XZ.

    9. Prídávanie nových reťazcov do okna diagnosstických správ programu WinRAR
      bývalo pomalé a malo dopad na výkon operácie v prípade, väčšieho počtu
      chybových správ. V novej verzii pridávanie nových reťazcov pracuje rýchlo
      bezohladu na počte chybových správ.

    10. Nový objek "R" pre prepínač -sc definuje kódovanie správ odoslaných
      z programu WinRAR do súborov alebo iných programov pomocou príkazu presmerovania.
      Napríklad príkaz:
      
      rar lb -scur data > list.txt
      
      vyprodukuje textový súbor list.txt kódovaný v sade Unicode, 
      ktorý bude obsahovať zoznam názvov archívov.

    11. Parameteru, ktorý určuje dobu prestávok vo výpočte programu WinRAR v prepínači
      -ri<priorita>[:<doba prestávky>] bol, v novej verzii programu WinRAR,
      znížený vplyv na výkonnosť RAR operacií predovšetkým operácii pracujúcich
      so záznamom pre obnovenie dát. Vyššie hodnoty dôb prestávok sú potrebné
      k tomu, aby zatažčnie systému, operáciami programu RAR, bolo rovnako nízke
      ako v predchádzajúcich verziách.

    12. Príkazy "l" a "v" programu RAR zobrazujú dátum vo formáte RRRR-MM-DD

    13. Pri rozbalovaní archívov formátu RAR a ZIP vytvorených v operačných 
      systémoch založených na Unixovom jadre, mapuje program WinRAR extrahované
      znaky, kódované v znakovej sade Unicode, na znaky s pred archivácie.
      Takéto mapovanie je potrebné pri archívoch vytvorených v operačných 
      systémoch založených na Unixovom jadre, pre správnu extrakciu ne-anglických
      názvov archívov v operačných systémoch Windows. Toto mapovanie je podporované
      vo verziách operačného systému Windows Vista a novších.

    14. Čas poslednej modifikácie je teraz nastavovaný počas rozbalovania archívov
      formátu .7z pre všetky priečinky. Staršie verzie nastavovali tento šas iba
      pre neprázdne priečinky.

    15. Program WinRAR zabráni operačnému systému v prechode do režimu spánku,
      ak aktuálna operácia, ako napr. archivacia alebo extrakcia nie sú dokončené.

    16. Indikácia prebehu operácie sa teraz zobrazuje aj pri extrakcii archívov
      formátu .arj, .lzh a .cab (s výnimkov viac-zväzkových archívov).

    17. Indikácia prebehu operácie sa zobrazuje pri odstraňovaní súborov 
      po archivácii a tiež pri odstraňovaní attribútu "Archív" z archivovaných
      súborov.

    18. Príkaz "Otestovať" tiež verifikuje obsah alternatívnych NTFS dátových prúdov
      v archívoch formátu RAR 3.x až 5.x. V predchádzajúcich verziách sa verifikácia
      vykonávala iba pri extrakcii.

    19. Modul SFX nastavuje premennú prostredia "sfxstime", ktorá obsahuje počiatočný
      čas vykonávania modulu vo formáte "RRRR-MM-DD-HH-MM-SS-ms". Tento čas je
      možné priradiť do premennej "Path", čím je možné vygenerovať jedinečnú cestu
      k inštalovanému modulu založenú na tomto čase, ako napr. "Path=mojModul-%sfxstime%".

    20. Opravené chyby:

      a) pri pridávaní nových súborov do už existujúceho zväzku sa príkazový riadok 
         ukončil pádom aplikácie RAR namiesto zobrazenia dialógu pre potvrdenie zápisu;

      b) príkaz "lt" konsolovej aplikácie RAR nezobrazoval sekundy v časovom razítku;

      c) program WinRAR nebol schopný rozbaliť súbory formátu .xxe, ak neobsahovali
         reťazec "section N of xxencode" v tele súboru.

      d) program WinRAR nedokázal obnoviť obsah alternatívnych NTFS dátových
         prúdov uložených s použitím prepínača -os, ak bol tento obsah rozdelený
         do viacerých zväzkov.
         
         
    Verzia 5.21

    1. "Kontextová ponuka funkcie Pretiahni a Pusť" v menu 
      "Nastavenia/Integrácia/Položky v kontextovej ponuke" umožňuje pridať 
      alebo odobrať možnosti extrakcie alebo archivácie z kontextovej ponuky, 
      ktorá sa zobrazí po pretiahnutí súboru pravým tlačidlom myši. 
      Predvolene sú obe možnosti povolené, ciže v kontextovej ponuke 
      sa zobrazuje aj položka extrakcie aj položka archivácie.

    2. Ak sa súbor winrar.ini nachádza v rovnakom priečinku ako inštalačný súbor 
      programu WinRAR, bude súbor winrar.ini, po úspešnej inštalácii, 
      skopírovaný do priečinka, do ktorého bol program WinRAR nainštalovaný.

    3. V predchádzajúcej verzii programu WinRAR sa mohlo stať, že veľkosť 
      vytvoreného zväzku formátu RAR5 bola o niečo menšia
      ako bola požadovaná užívatelom. V novej verzii programu WinRAR takáto
      situaňácia nastava len velmi zriedkavo a vo veľkej väčšine prípadov
      bude veľkosť zväzku odpovedať veľkosti požadovanej užívatelom.

    4. V novej verzii programu WinRAR príkaz extrakcie ignoruje 
      symbolické odkazy, ktoré odkazujú mimo cieľový adresár 
      buď absolútnou cestou alebo nadmerným počtom odkazov 
      na nadradený priečinok ("..") v ceste k cieľovému súboru.
      Je možné povoliť vytváranie takýchto odkazov zaškrknutím možnosti 
      "Povoliť absolútne cesty v symbolických odkazoch" v dialógu extrakcie 
      alebo zadaním prepínača -ola.
      
      Odkazy odkazujúce mimo cieľový prečinok extrakcie môžu predstavovať 
      bezpočnostné riziko. Povolenie tejto mozňžnosti je vhodné iba v prípade, 
      že ste si istý, že obsah archívu je bezpečný.
      
    5. Opravené chyby:

      a) Verzia 5.20 programu WinRAR vyžadovala potvrdenie akcie od užívateľa (UAC),
         keď bol spustený nejaký spustitelný súbor priamo z archívu, ktorý
         sa nachádzal v priečinku chránenom pomocou UAC. Keďže sa neextrahovali
         žiadne súbory do tohoto chráneného pričinka, v ktorom bol archív uložený,
         UAC protvrdenie nie nebolo nutné a preto sa už v novej verzii 
         v takýchto prípadoch nezobrazuje;

      b) Program WinRAR umožňoval prepísanie súborov s atribútom "iba na čítanie"
         iba pri extrakcii z archívov formátu RAR a ZIP. V novej verzii je 
         to možné aj pre ostatné formáty archívov, ktoré su podporované
         v programe WinRAR;

      c) "Uplynutý čas" a "Zostávajúci čas" sa nezobrazovali správne, 
         ak bol použitý príkaz "Skonvertovať" na viacero archívov pri povolenej
         možnosti "Pridať záznam pre opravu dát".


    Verzia 5.20

    1. Ak kontrola užívatelských účtov operačného systému Windows zabráni
      extraxcii alebo vytvoreniu archívu v systémom chránených priečinkoch,
      spustí sa nová inštancia programu WinRAR s administrátorkými právami, aby mohla
      byť operácia dokončená. Je potrebné potvrdiť povolenie použitia takýchto práv, aby mohla
      byť nová inštancia programu WinRAR spustená.

    2. V novej verzii programu WinRAR je možné pretiahnuť súbory použitím pravého tlačidla myši
      a vybrať príkazy programu WinRAR v kontextovom menu pre vytvorenie archívu v cieľovom priečinku obsahujúceho
      pretiahnuté súbory.

    3. Namiesto ukladania nastavení v registroch operačného systému je možné
      ich uložiť do súboru WinRAR.ini. Toto riešenie je vhodné, ak plánujete
      program WinRAR nainštalovať na prenosné médium, ako USB kľúč, a následne ho
      spúšťať na rôznych počítačoch.

      Viac informácií môžete získať v nápovede programu WinRAR v kapitole "Nastavenia konfigurácie".

    4. Bola pridaná podpora extrakcie archívov formátov ZIP a ZIPX, ktoré
      používajú kompresný algoritmus XZ.

    5. Ak archívy formátu ZIP alebo ZIPX obsahujú iný compresný algoritmu než
      "Bez kompresie", názov compresného algoritmu je zobrazený v položke "Verzia pre rozbalenie"
      nachádzajúcej sa v dialógu zobrazujúcom informácie o archíve.
      Aloritmy neznáme pre program WinRAR budú zobrazené ako "m<číslo>",
      kde "číslo" je numerický identifikátor algoritmu.

    6. Príkaz "Otvoriť v programe WinRAR" je dostupný v kontexovom menu
      pre všetky podporované formáty archívov. Túto možnosť je možné z kontextového menu
      odstrániť a to zrušením označenia možnosti "Otvoriť v programe WinRAR (pre bežné archívy)"
      v dialógu "Nastavenia/Integrácia/Položky v kontextovej ponuke...".

    7. Príkazový riadok programu RAR dokáže načítať skupinu prepínačov zo súboru
      rar.ini, ktorý je uložený v rovnakom priečinku ako program RAR.
      V predchádzajúcej verzii program WinRAR bolo možné nastaviť iba jednu skupinu prepínačov
      pre všetky príkazy. Teraz je možné definovať v súbore rar.ini rôzne skupiny prepínačov 
      pre rôzne príkazy použitím nasledujúceho zápisu:

      switches_<príkaz>=<rôzne prepínače programu RAR oddelené medzerou>

      Príklad:

      switches_a=-m5 -s
      switches_x=-o+

    8. Príkay "ch" podporuje prepínače -tl, -cu, -cl tiež pre ZIP archívy.

    9. Pre archívy, kroré neobsahujú časové údaje, ako napr. .bz2, .xz, .Z,
      program WinRAR nastaví čas poslednej modifikácie všetkým extrahovaným súborom podla časového údaju celého archívu.
      Toto neplatí pre archívy formátu tar.bz2, tar.xz and tar.Z, pretože tie obsahujú časové údaje archivovaných súborov
      v tar hlavičke.

    10. Možnosť "Ponechať poškodené súbory" je podporovaná pre archívy typu bzip2.

    11. Ikona programu WinRAR v kontextovom menu sa korektne zobrazuje
      na obrazovkach s vyskokým rozlíšením pri zobrazení o 150 alebo 200% väčšom ako je normálne zobrazenie textu.
      
    12. Je možné deaktivovať príkaz "Výkonnostný test" pomocou premennej
      v registroch HKEY_CURRENT_USER\Software\WinRAR\Policy. Vo viac-užívateľskom
      prostredí môže spustenie výkonnostného testu spotrebovať značnú časť zdielaných prostriedkov.
      Viac informácií môžete získať v nápovede programu WinRAR v kapitole "Nastavenia konfigurácie".

    13. SFX modul nastavuje okrem premennej "sfxcmd", ktorá obsahuje celý príkaz,
      premennú "sfxpar", ktorá obsahuje iba parametre príkazu. Tieto premenné sú
      nastavené predtým ako sa spustí program špecifikovaný v nastaveniach SFX kompresie záložke "Inštalácia".

    14. Potvrdenie prepísania súboru v príkazovom riadku programu RAR zobrazuje veľkosť
      a čas poslednej modifikácie existujúceho a nového súboru.

    15. Pri archivácii dát zo štandardného vstupu (stdin) s prepínačom -si, program RAR nastaví
      čas poslednej modifikácie archívu na aktuálny systémový čas. Predchádzajúca verzia 
      tento čas nenastavovala vôbec.

    16. Je možné použiť spolu prepínače -si a -v<veľkosť> v jednom príkaze. V predchádzajúcej
      verzii programu WinRAR nebolo možné vytvárať zväzky pri archivácii dát zo štandardného vstupu (stdin).

    17. Pri rozbalovaní súboru vačšieho ako 4 GB z archívov formátu RAR alebo ZIP
      do súborového systému typu FAT32 sa zobrazí upozornenie, ktoré oznamuje,
      že FAT32 nepodporuje súbory takejto veľkosti a umožňuje užívatelovi ukončiť operáciu.
      
      Takéto upozornenie sa zobrazí tiež pri vytváraní archívu, na súborovom systéme FAT32, 
      ktorého výsledná odhadovaná veľkosť prekračuje 4 GB.

    18. V novej verzii programu WinRAR tlačidlo "Vybrať všetky" v dialógu "Nastavenia/Integrácia"
      odznačí všetky položky, ak boli predtým všetky označené. V opačnom prípade sa všetky položky
      označia.

    19. Možnosť "Vymazať archív", zobrazovaná pri extrakcii, korektne odstráni
      všetky zväzky formátu .zip a .7z. V predchádzajúcej verzii program WinRAR
      odstránil iba prvý zo zväzkov archívov týchto formátov.
      
      
    Verzia 5.11

    1. WinRAR je v novej verzii schopný rozbaliť TAR archívy, ktoré
      obsahujú priečinky s rozšírenými hlavičkami formátu "pax". Predchádzajúca
      verzia zlyhávala pri pokuse o rozbalenie takýchto archívov.

    2. Možnosť "Ponechať poškodené súbory" je v novej verzii podporovaná
      aj pre archívy 7-Zip.

    3. Opravené chyby:

      a) WinRAR 5.10 nenastavoval atribúty súborov "Skrytý", "Iba na čítanie"
         a "Systémový" pri rozbalovaní ZIP archívov;

      b) WinRAR 5.10 zlyhal pri aktualizovaní samorozbaľovacích RAR archívov,
         ktoré obsahovali vnorený ZIP archív uložený bez kompresie;

      c) ZIP archív vytvorený s možnosťou "Neukladať cesty" obsahovali
         nepotrebné záznamy priečinkov s prázdnymi názvami;

      d) Vo Windows XP sa u archivovaných súborov mohla vyskytnúť jednohodinová 
         chyba údaju o čase poslednej modifikácie súboru.

      e) Pri odstránení souboru zo solid archivu formátu RAR5, krorý obsahoval 
         súbory uložené pomocou prepínače -ver, ztrácali takéto súbory   
         informáciu o verzii.

      f) V operačnom systéme Windows s užívateľskou veľkosťou písma 
         väčšou ako 100% sa v 16- a 24-bitových farebných schémach 
         namiesto ikon panelu nástrojov zobrazovali čierne obdĺžniky.


    Verzia 5.10

    1. Bola pridaná podpora pre archívy ZIP a ZIPX pomocou
      kompresie BZIP2, LZMA a PPMd.

    2. Bola pridaná podpora rozdelených archívov formátu 7z
      (.7z.001, .7z.002, ...).

    3. Bola pridaná podpora pre CPU inštrukcie AES-NI, ktoré
      zlepšujú výkon šifrovania a dešifrovania.

    4. Obrázkom, použitým v prednastavenej téme, bolo zvýšené rozlíšenie,
      aby neboli rozmazané pri zobrazeni progamu WinRAR na monitore s vysokým
      rozlíšením.

    5. Premenné prostredia, ako je napr. %temp%, možu byť
      odteraz použité v poli "Súbory na pridanie", ktoré sa nachádza
      v dialógu vytvárania archívu.

    6. Prepínač -ai može byť odteraz použitý aj pri vytváraní archívov
      formátu RAR. Tento prepínač spôsobí, že namiesto aktuálnych atribútov
      sa do súborov a priečinkov uložia preddefinované hodnoty, typické
      pre súbory a priečinky. V predchádzajúcich verziách programu WinRAR
      mohol byť tento prepínač použitý iba pri rozbaľovaní archívov.
      
      
    Verzia 5.01

    1. Nový formát archívov RAR 5.0 umožňuje voliteľne zahrnúť do archívov
      informácie pre rýchle otvorenie pomocou prepínača -qo[-|+]
      alebo pomocou skupiny nastavení "Informácie rýchleho otvorenia",
      ktoré sa nachádzajú v dialógu "Názov a paramentre archívu" na karte
      "Možnosti". Tieto informácie umožňujú otvoriť archív v programe
      WinRAR rýchlejšie.
      
      Táto verzia ponúka lepsí výkon pri aktualizácii archívov, ktoré
      obsahujú ako infomácie pre rýchle otvorenie, tak aj záznamy ako sú
      napr. NTFS bezpečnostné údaje. Predvolené paramentre možnosti
      "Informácie rýchleho otvorenia" sú taktiež optimalizované
      pre dosiahnutie vyššej rýchlosti otvárania takýchto archívov.

    2. Opravené chyby:

      a)  Príkaz "Hľadať" mohol spôsobiť chybu pri vyhľadávaní textových
          reťazcov v archívoch .7z;

      b)  Pri otváraní archívov RAR 5.0, ktoré majú šifrované názvy
          súborov uložené v inom archíve RAR 5.0, mohol program
          WinRAR zobraziť chybovú správu, že heslo je nesprávne.
          Tento prípad nastával vtedy, ak heslá pre vnútorné a vonkajšie
          archívy boli odlišné. Toto však nemalo dopad na extrakciu,
          pretože všetky súbory je možné rozbaliť bez ohľadu na túto
          chybovú správu;

      c)  Možnosť "Použiť pre všetky archívy" v dialógu nastavovania
          hesla nepotlačila nutnosť zadávania dalších hesiel pri archívoch
          RAR 5.0, ktoré obsahovali zašifrované názvy súborov;

      d)  Adresový riadok programu WinRAR nesprávne interpretoval cesty
          premenných systémového prostredia ako napr. %temp%;

      e)  Ukladanie NTFS bezpečnostných údajov a dátových prúdov nefungovalo
          správne pre názvy s cestou dlhšou ako 260 znakov; 

      f)  Príkaz "Otestovať" mohol chybne hlásiť výskyt poškodených dát
          v korektnom zázname pre obnovu dát, ak bola testovaná iba čast
          archívu 5.0, ktorá obsahovala súbory. Táto chyba nenastávala,
          ak bol testovaný celý obsah archívu; 

      g)  Príkaz "Otestovať" mohol chybne hlásiť chybu pri verifikácii
          RAR 4.x Unixových symbolických odkazov; 

      h)  Príkaz "Zobraziť" nefungoval správne pri súboroch 
          nachádzajúcich sa v archíve BZIP2;
          
      i)  Ak v dialógu "Názov a paramentre archívu" bola možnosť 
          "Vysoká presnosť času poslednej modifikácie" vypnutá, program
          WinRAR neukladal čas modifikácie vôbec;

      j)  Ak cieľová cesta obsahovala .\ alebo ..\, celá cesta nebola
          správne spracovaná, ak sa extrahoval iný archív ako RAR v rámci
          príkazového riadku programu WinRAR;

      k)  Program WinRAR nobol schopný rozbaliť viac-zväzkové CAB archívy.

    Verzia 5.00

    1. Nový formát archívov RAR 5.0. Je možné použiť možnosť "RAR 5.0"
      v dialogu pri archivácii alebo použiť prepínač príkazového riadku -ma
      pre vytvorenie archívu formátu RAR 5.0.
      
      Staršie verzie softvéru, vrátane starších verzií programu WinRAR,
      nie sú schopné dekomprimovať archívy RAR 5.0. Preto ak máte v pláne
      posielať archívy iným luďom, je treba vziať do úvahy problémy
      s kompatibilitou. V takýchto prípadoch zvoľte radšej vytvorenie
      archívu formátu RAR namiesto RAR5.

    2. Zmeny v kompresnom algoritme formátu RAR 5.0:

      a)  maximálna veľkosť kompresného slovníka je zvýsená až do 1GB
          pri 64-bitových verzíach programu WinRAR. V prípade 32-bitových
          verzií je možné použiť slovníky do veľkosti 256MB. Obe verzie,
          ako 64-bitová, tak 32-bitová, dokážu rozbaliť archív vytvorený
          s použítím akejkoľvek veľkosti slovníku vrátane 1GB;

      b)  predvolená veľkosť slovníku pre formát RAR 5.0 je 32MB, čo tipicky
          prináša vyšší kompresný pomer ale nižšiu rýchlosť ako RAR 4.x 4MB.
          Veľkosť slovníka je možné zmeniť ako s použitím prepínača príkazového 
          riadku -md<veľkosť> alebo pomocou možností v dialógu užívateľského rozhrania;

      c)  prepínač -md<veľkosť> umožňuje zmenu veľkosti slovníku. Pridaním 'k', 'm' a 'g'
          sa špecifikuje veľkosť v kilo-, mega- a gigabajtoch, ako napríklad -md64m pre 64 MB
          slovník. Predvolene sa predpokladá veľkosť v megabajtoch, ciže -md64m je rovnaké
          ako -md64;

      d)  Formát RAR 5.0 zahŕňa argoritmus Intel IA-32 a delta kompresiu. Na druhej strane
          algoritmus Itanium, algoritmy pre kompresiu textu, zvuku a farieb obsiahnuté
          vo formáte RAR 4.x nie sú podporované. Tieto algoritmy nie sú efektívne pri práci
          s dnešným typom dát a hardvérových konfigurácií;

      e)  dekompresia RAR 5.0 dokáže využiť niekoľko jadier CPU. Síce nie v takom rozsahu
          ako kompresný algoritmus, ale dosahuje sa tým zlepšenie dekompresnej rýchlosti
          pri dekomprimovaní veľkých súborov so slabo komprimovateľnými dátami alebo pri
          použití kontrolného súčtu BLAKE2;

    3. Zmeny v archivačnom formáte RAR 5.0:

      a)  časové údaje o súboroch sú ukladané vo formáte Coordinated Universal Time (UTC)
          nemiesto ich ukladania v lokálnom formáte, čo umožňuje výmenu archívov
          cez rôzne časové zóny;

      b) názvy súborov a komentáre v archívoch sú ukladané s využitím znakovej sady UTF-8.

    4. RAR 5.0 obnovovací záznam je založený na opravných kódoch Reed-Solomon.
      Ak je obnovovací záznam dostatočne veľký (5 a viac percent), nová schéma
      opravných kódov poskytuje oveľa väčšiu odolnosť voči viacnásobnému
      poškodeniu narozdiel od RAR 4.x obnovovacím záznamom. Menší záznam (1 - 2%),
      alebo pri menej náhodnom type poškodenia, je výsledná rozdiel odolností
      medzi RAR 5.0 a RAR 4.x mensí. Pre jedno súvislé poškodenie poskytujú
      oba formáty podobnú odolnosť.
      
      Pri bežnej práci so súbormi poskytuje nový obnovovací záznam
      detekciu vymazaní a vložení omnoho vačšieho množstva dát.
      Maximálna veľkosť vložení je niekoľko megabajtov. Maximálna
      veľkosť vymazaní zavisí na type poškodenia a v niektorých prípadoch
      môže byť taká veľka ako veľkosť obnovovacieho záznamu.
      
      Aj tak pre dosiahnutie najlepšieho výkonu a efektivity je potrebné,
      aby sa nevyskytovali žiadne vymazávania ani vloženia a všetky dáta
      zahrnuté v poškodených sektoroch zachovávali ich pôvodné ummiestnenie.
      Preto, ak používate nejaký softvér na skopírovanie dát z poškodeného
      média, je lepšie si vybrať mód, v ktorom sa poškodené sektory vyplnia
      nulami alebo akýmikoľvek inými dátami, namiesto vyseknutia týchto častí
      z daného súboru. 

      RAR 5.0 obnovovací záznam je omnoho odolnejší voči poškodeniu
      samotného záznamu a je možné využiť aj čiastočne poškodený záznam.
      Príkaz "Opraviť" však nedokáže opraviť poškodené časti v obnovovacom
      zázname. Iba dáta súborov sú opravené. Po úspešnej oprave archívu,
      je nutné vytvoriť nový obnovovací zázname pre uložené súbory.

      Nový obnovovací záznam nie je založený na 512 bajtových sektoroch
      ale využíva omnoho komplikovanejšiu dátovú štruktúru. Preto je nemožné
      špecifikovať ich veľkosť v sektoroch. Pre archívy RAR 5.0 parameter
      príkazu rr[N] a prepínača -rr[N] je vždy spracovávaný ako percentuálna
      veľkosť k veľkosti celého archívu bez ohľadu na prítomnosť znaku "%".
      Typicky N% znamená, že obnovovací záznam dokáže opraviť až do N%
      súvisle poškodených dát a zároveň zväčšenie archívu bude iba o trochu
      viac ako N%. Schopnosť opravy viacnásobného poškodenia je úmerná N.

      Používame prácu "Screaming Fast Galois Field Arithmetic Using Intel
      SIMD Instructions" od James S. Planka, Kevin M. Greenana
      a Ethan L. Millera pre zlepšenie výkonu algoritmu Reed-Solomon.
      Taktiež sme vďačný Artem Drobanovi a Bulat Ziganshinovi za príklady
      a nápady, ktoré umožnili vytvoriť efektívnejšiu implementáciu algoritmu
      Reed-Solomon.

    5. Príkaz "Otestovať" overuje validitu RAR 5.0 obnovovacieho záznamu.
      Obnovovací záznam je testovaný po spracovaní všetkých súborov v archíve.

      Ak poškodený archív obsahuje obnovovací záznam, je možné opraviť tento
      archív dokonca aj keď zlyhal test validity obnovovacieho záznamu.
      Príkaz "Opraviť" sa pokúša využiť dokonca čiastočne poškodený obnovovací záznam.
      Negatívny výsledok testu je dôvod na znovuvytvorenie archívu ak sú 
      pôvodné súbory stále dostupné, ale nie je to dôvod na vyhnutie sa použitia
      príkazu "Repair".

    6. Zmeny v RAR 5.0 šifrovacom algoritme:

      a)  šifrovací algoritmus sa zmenil z AES-128 na AES-256 v móde CBC.
          Fukncie vytvárajúca derivácie kľúča je založená na PBKDF2,
          ktorý používa HMAC-SHA256;

      b)  špeciálna hodnota na overenie hesla umožňuje detekovať
          väčšinu nesprávnych hesiel bez nutnosti rozbalenia celého súboru;

      c)  Ak hlavičky archívu nie sú šifrované (možnosť 
          "Šifrovať názvy súborov" je vypnutá), kontrolný súčet
          súboru pre šifrované RAR 5.0 súbory je modifikovaný s využitím
          špeciálneho hesla závislého na algoritme, čo spôsobí, že obsah
          súborov nebude možné uhádnuť na základe kontrolného súčtu.
          Nedá sa očakávať, že takto zašifrované súbory budú mať rovnaký
          kontrolný súčet ako pri bežnom použití CRC32 alebo BLAKE2.

    7. Formát RAR 5.0 umožňuje využiť 256-bitový hash BLAKE2sp
      ( https://blake2.net ) namiesto 32-bitového CRC32 ako kontrolny
      sučet súboru. Povolením možnosti "Použiť BLAKE2 kontrolný súčet"
      na karte možnosti alebo použitím prepínača príkazového riadku -htb
      povolíte použitie BLAKE2 kontrolného súčtu. 

      BLAKE2 sa používa na identifikáciu obsahu súboru. Ak dva súbory
      majú rovnakú hodnotu BLAKE2, prakticky to znamená, že sú zhodné.
      BLAKE2 poskytuje silnejšiu detekciu chýb, pretože produkuje dlhší
      hash narozdiel od kratšieho a slabšieho CRC32.

    8. Odstránené vlastnosti:

      a)  verifikácia autenticity neponukala požadovanú úroveň spoľahlivosti
          a bola odstránená;
      
      b)  prepínač -en (nepridávať blok "koniec archívu") nie je podporovaný
          archívmi RAR 5.0, ktoré majú vždy blok konca archívu. Tento blok
          pomáha programu WinRAR preskočiť externé dáta ako digitálny podpis
          pridaný na koniec archívu;

      c)  starý štýl názvov zväzkov zalozený na príponách nie je podporovaný
          archívmi RAR 5.0, ktoré používajú iba názvy typu názov_archívu.časťN.rar;
      
      d)  komentáre k súborom nie sú podporované ani v RAR 4.x ani v RAR 5.0 archívoch.
          Príkaz príkazového riadku 'cf' je odstránený. Táto zmena nemá vplyv
          na komentáre k archívom, ktoré sú podporované v oboch formátoch.

    9. Príkaz "Nataviť heslo" a možnosť "Veľkosť slovníka" sú presunuté
      do karty "Všeobecné" dialógu Názov a parametre archívu.

    10. Je možné použiť možnosť "Uložiť symbolické odkazy ako odkazy"
      na karte "Pokročilé" v dialégu pri archivovaní pre uloženie
      a obnovu NTFS symbolických odkazov ako odkazov, tak, že ich obsah
      nie je archivovaný. Prepínač -ol má ekvivalentné chovanie. 

      Obdobná možnosť pre NTFS pevné odkazy je "Uložiť pevné odkazy ako odkazy".
      Prepínač -oh má ekvivalentné chovanie.

      Obe možnosti sú dostupné iba pre formát RAR 5.0.

    11. Pridaná extrakcia je podporovaná iba pri XZ achivačných formátoch.

    12. Zmeny v spracovaní záznamu pre obnovu dát v archívoch formátu RAR 5.0:

      a)  maximálny počet záznamov pre obnovu dát spolu so RAR zväzkami formátu
          RAR 5.0 je 65535 namiesto 255;

      b)  operácie so záznamom na obnovu dát sú rýchlejšie;

      c)  vo formáte RAR 5.0 súbory so záznamami pre obnovu dát ukladajú
          aj dotatočné informácie ako kontrolný súčet chránených súborov v archíve.
          Preto sú tieto záznamy o niečo väčšie ako zväzky, ktoré chránia.
          Pri presune dát na prenositeľné média je s touto zmenou nutné počítať.

    13. Maximálna dĺžka cesty pre súbory v archívoch RAR a ZIP je zvýšená až na 2048 znakov.

    14. Program RAR vracia chybový kód 11, ak deteguje, že užívateľ zadal
      nesprávne heslo. Tento chybový kód sa vracia iba pri použití archívov
      RAR 5.0. Pri starších formátoch je nemožné rozlíšiť zadanie nesprávneho
      hesla od poškodeného archívu.

    15. Príkazy 'v' and 'l' zobrazujú názvy súborov na konci riadku, nie na začiatku,
      ako to bolo predtým. Taktiež niektoré informácie, ktoré boli predtým dostupné
      použitím týchto príkazov sú teraz dostupné iba pomocou príkazov 'lt' a 'vt'.
      
      'vt' and 'lt' commands provide the detailed multiline information
      for every archived file.

      'vta' and 'lta' also include service headers into list.

    16.  V tejto chvíli je predvolenou znakovou sadou pre zoznamy súborov v príkazoch,
        ako napríklad 'rar a názov_archívu @zoznam_súborov' znaková sada ANSI pre programy
        WinRAR aj RAR. Je možné túto znakovú sadu zmeniť pomocou prepínača -sc<znaková sada>l

    17.  Interný prehliadač programu WinRAR dokáže rozpoznať a zobraziť
        súbory používajúce znakové sady UTF-8 a UTF-16 little endian.

    18. Znaková sada UTF-16 little endian je použitá v programoch RAR a WinRAR
       pre logovací súbor rar.log, čo zaistí, že sa názvy súborov uložia správne.
       Program WinRAR automaticky odstráni zo súboru rar.log staré položky, ktoré
       nie sú uložené s použitím znakovej sady UTF-16 little endian aby sa zabránilo
       rôznym zmiešaniu rôznych znakových sád v jednom súbore. V prípade programu RAR
       je nutné tieto položky vymazať ručne.

       Môžete použiť prepínač -sc<znaková sada>g pre zmenu znakovej sady
       v logovacom súbore, napríklad -scag rpe znakovú sadu ANSI.

    19.  Pomocou príkazu 'r' je možné vložiť voliteľný parameter destpath\,
        ktorý určuje cieľový priečinok pre výsledný opravený archív:

       rar r archive.rar destpath\

    Zmeny vo verzii 4.20

    1. Zmeny v RAR kompresii

      a) Všeobecný kompresný algoritmus programu RAR je optimalizovaný pre lepšie
         využitie niekoľkých procesorových jadier. Zatiaľ čo určité zrýchlenie
         je možné aj v jedno-procesorovom režime, najlepšie výsledky sa dosahujú
         v multi-jadrovom prostredí.

         Zrýchlenie závisí na type dát a priemernej veľkosti súboru.
         Viacero jadier je využívaných omnoho efektívnejšie pri kompresii
         veľkých súborov.

      b) Na dosiatie zvýšenia kompresnej rýchlosti bolo potrebné zvýšíť požiadavky
         na pamäť. Všeobecný kompresný algoritmus programu RAR využíva okolo 120 MB
         pamäte v porovnaní so 40 MB pamäte, ktoré využíval program WinRAR vo verzii 4.11.

      c) Textový kompresný algoritmus programu RAR nemôže využiť niekoľko procesorových jadier
         efektívne, takže jeho výkon vo viac-procesorovom prostredí je oveľa nižší 
         ako u všeobecného algoritmu. Taktiež rýchlosť dekompresie je oveľa nižšia 
         ako u všeobecného algoritmu bez ohľadu na počte procesorov. 
         Rozhodli sme sa preto zakázať tento algoritmus v predvolenom nastavení.

         Ak potrebujete maximálny možný kompresný pomer textových dát bez ohľadu na rýchlosť,
         môžete textový kompresný algoritmus povoliť v dialógu "Rozšírené parametre kompresie".
         Pre prístup k tomuto dialógu stlačte "Kompresia..." na záložke "Pokročilé" v dialógu
         "Názov archívu a parametre". Taktiež môžete zmeniť túto možnosť v predvolenom profile kompresie.

         V príkazovom riadku môžete textový kompresný algoritmus povoliť pomocou prepínača -mct.

      d) "Rýchlejší"(-m1) kompresný mód teraz taktiež podporuje niekoľko procesorových jadier.
         Vo verzii 4.11 bolo možné využívať iba jedno procesorové jadro.

    2. Rýchlosť všeobecného dekompresného algoritmu programu RAR sa tiež výrazne zlepšila,
      avšak nie v takom rozsahu ako pri RAR kompresii. RAR dekompresia nie je schopná využívať
      viacero procesorových jadier, preto jej výkon nezavisí na počte procesorových jadier. 

    3. Zmeny v ZIP kompresii

      a) ZIP kompresia teraz taktiež podporuje niekoľko procesorových jadier, čo sa výrazne prejavuje
         na zvýšenom výkone v multi-jadrovom prostredí.

      b) Využitie pamäte pri ZIP kompresii sa zvýšilo približne na 15 MB.

    4. Vytváranie a spracovanie zväzku pre obnovu môže využívať niekoľko procesorových jadier,
      čo vedie k vyššej rýchlosti. Avšak, rýchlosť vyhľadávania bežných pevných diskov
      je limitujúcim faktorom použitia zväzkov obnovy, takže zvýšenie rýchlosti je najviac
      zreteľné pri práci s SSD diskami.

    5. Hodnotu <vlákna>, udávajúcu počet povolených vlákien pre prepínač -mt<vlákna>,
      je možné teraz voliť v rozsahu 1 - 32. Predtým bolo možné hodnotu voliť iba v rozsahu 1 - 16.

    6. Príkaz "Hľadať súbory" dokáže teraz hľadať dáta v archívoch vytvorených aplikáciou 7-zip.
      V predchádzajúcej verzii tento príkaz nepodporoval formát archívov .7z .

    7. Windows 2000 nie je už ďalej podporovaný programom WinRAR a tiež samorozbaľovacími
      modulmi programu WinRAR.

    8. Tlačidlo "Uložiť aktuálne nastavenia ako predvolené" je teraz v dialódu "Pokročilé možnosti SFX"
      dostupné iba pri konverzii existujúceho archívu na SFX archív. Nastavenia uložené
      týmto tlačidlom sú aplikované iba na konverziu SFX.

      Pri vytvíraní alebo aktualizovaní SFX archívu sa použijú iba nastavenia uložené v predvolenom
      kompresnom profile. Nastavenia uložené v dialógu "Pokročilé možnosti SFX" sú ignorované
      pre tieto operácie.


    Zmeny vo verzii 4.11

    1. Opravené chyby:

      a) WinRAR pri vytváraní RAR archívov neukladal NTFS atribút "Compressed";

      b) WinRAR padal v móde príkazového riadku, ak bol prítomný 
         parameter @filelist a 'filelist" neexistoval. Táto chyba
         ovplyvňovala len WinRAR.EXE, nie konzolovú verziu RAR.exe;

      c) ak bola špecifikovaná vylučovacia maska -x*\somefolder\* pri 
         archivácii a ak meno aktuálneho priečinka obsahovalo reťazec 
         'somefolder', WinRAR vylúčil všetky súbory a zastavil tvorbu archívu;

      d) GUI rozhranie samorozbaľovacích archívov nepracovalo v
         prostredí Windows Preinstallation Environment (Windows PE).


    Zmeny vo verzii 4.10

    1. WinRAR môže vytvárať ZIP archívy prakticky ľubovoľnej veľkosti.

      2 Obmedzenie veľkosti ZIP archívu na veľkosť 2 GB a obmedzenie počtu
      na 65535 súborov už v nových verziách aplikácie WinRAR neplatí.

    2. WinRAR môže vytvoriť viaczväzkové ZIP archívy, ktoré sú taktiež známe ako
      rozdelené ZIP súbory.

      Názvy zväzkov sa tvoria podľa schémy 'volname.zip', 'volname.z01', 
      'volname.z02'... Použite zväzok s príponou "zip" vo všetkých operáciách 
      na spracovanie archívov ako napr. začiatok rozbaľovanie alebo otvorenie archívu.

      Na rozdiel od zväzkov RAR, zväzky ZIP nemôžu byť samorozbaľovacie.

      WinRAR potrebuje mať prístup ku všetkým častiam viaczväzkového ZIP súboru 
      súčasne, keď ich vytvára alebo rozbaľuje. Takže je nemožné
      vytvoriť alebo rozbaliť ZIP zväzky na výmenných médiách, jednom zväzku
      na médium. Je potrebné ich vytvoriť všetky v tom istom priečinku.

    3. Bola pridaná podpora presného času súborov aj pri ZIP archívoch.
      WinRAR môže ukladať a extrahovať časy modifikácie, vytvorenia a posledného
      prístupu k ZIP archívom s presnosťou 100 nanosekúnd.
      Je potrebné nastaviť voľbu "Vysoká presnosť času modifikácie" v časti dialógu "Čas" 
      na ukladanie všetkých 3 časov v archíve. Nastavte vhodné voľby "Čas súboru" 
      v  "Pokročilej" časti rozbaľovacieho dialógu na výber časov na extrakciu.

    4. Bola pridaná podpora Unicode mien súborov v špeciálnom dátovom poli 
      ZIP archívu. Rôzne ZIP nástroje ukladajú Unicode názvy buď v hlavičke súboru
      alebo v špeciálnom dátovom poli a WinRAR môže teraz korektne spracovať
      oba typy Unicode názvov.

    5. Voľba "Synchronizovať obsah archívu" a prepínač -as je teraz podporovaná 
      aj pre formát ZIP.

    6. Zmena funkcie prepínača -ag:

      a) -ag je možné použiť vo všetkých RAR a WinRAR príkazoch,
         nie len pre archiváciu;

      b) význam formátovacieho znaku 'N' záleží na tom, pri akej operácii je použitý.
         Pri archivácii sa zvyšuje o jednu pokiaľ sa nenájde prvé nepoužité meno.
         Pri ostatných akciách, napríklad rozbaľovaní vyberie existujúce predchádzajúce
         prvé nepoužité meno;

      c) formátovací znak 'I' umožňuje vložiť minúty bez ohľadu na prítomnosť alebo
         pozíciu znaku 'H' (hodiny) vo formátovacom reťazci. Môže byť použitý namiesto
         'M' (minút), ak požadujete umiestniť minúty pred hodiny alebo nepotrebujete
         vôbec použiť hodiny.

    7. Predvoleným správaním je, že WinRAR ponúkne aktualizáciu archívu, ak prehliadač
      modifikuje otvorený súbor alebo vytvorí nový súbor. Nová voľba "Ignorovať
      modifikácie" v dialógu "Nastavenie/Prehliadač" umožní takéto správanie
      zablokovať. Môžete zadať jednu alebo viacero súborových masiek oddelených medzerami
      a WinRAR Vás nebude vyzývať k aktualizácii archívu ak vytvorený alebo
      modifikovaný súbor zodpovedá jednej z týchto masiek.

    8. Zmeny pri zadávaním veľkosti zväzku. Jednotku je teraz možné zvoliť
     v rozbaľovacom zozname. Predtým používaný spôsob doplnením znakov 'k', 'm' atď.
      za numerickou hodnotou veľkosti je naďalej podporovaný.

    9. V tom istom dialógu sú pôvodné položky Disketa a ZIP disk nahradené
      5 MB a 100 MB hodnotami, ďalej boli doplnené nové položky pre
      maximálnu veľkosť súboru vo FAT32 a taktiež pre Blu-ray disky.

    10. V dialógu parametrov archivácie je nová voľba pre bezpečné
      mazanie (wipe) súborov, keď sú archivované s heslom.
      Môžete ich nastaviť aj v štandardnom kompresnom profile.

    11. V nastavení bezpečnosti je teraz možné zapnúť aj pomalšie, ale bezpečné mazanie
      dočasných súborov, keď sa používa šifrovanie. Rýchle mazanie je použité pre
      všetky ostatné dočasné súbory.

    12. Zmeny v príkaze pre konvertovanie archívov:

      a) Teraz je možné konvertovať aj šifrované archívy. Predtým ich tento
         príkaz preskočil. Toto chovanie je možné teraz nastaviť pomocou
         novej voľby v dialógu pre konverziu archívov, môže sa to hodiť,
         keď nie je potrebné, aby proces konverzie prebehol bez interakcie 
         s používateľom, keďže sa vynechávajú dotazy na heslo;

      b) Typ "rar" sa teraz vzťahuje aj na formáty RAR 1.x a 2.x, nedá sa
         viac zadávať v tomto prípade typ "rar2". Odpadla tým i kontrola
        formátov, t.j. sa skracuje čakanie pred zobrazením dialógu.

    13. Nový prepínač -log[fmt][=názov] umožňuje zapisovať mená archívov a súborov
      do log súboru ako pri archivácii, tak i pri rozbaľovaní pre formáty RAR a ZIP. 
      Hodí sa to najmä keď je potrebné ďalej pracovať s archívmi vytvorenými
      pomocou prepínačov -ag alebo -v, pretože tým získate mená, ktoré WinRAR 
      vygeneroval.

    14. Nový prepínač -@[+] umožňuje spracovať všetky parametre začínajúce znakom
      "@" buď ako názov súboru (-@) alebo ako zoznam súborov (-@+).

    15. V nastavenie SFX je voľba "Setup program" posunutá zo záložky
      "Všeobecné" do záložky "Setup". Príkazy pre spustenie pred
      a po archivácii sú teraz viacriadkové, pre jeden archív
      tak je možné spustiť aj viac inštalačných programov.

    16. Príkaz inštalačného skriptu "SetupCode" umožňuje počkať
      na návratový kód inštalačného programu a zvýšený o 1000
      ho poslať ako návratový kód SFX modulu. V grafickom rozhraní je 
      ekvivalentná voľba k tomuto príkazu "Čakať na návratový kód z SFX".

    17. SFX ďalej nepodporuje "S" pre vytvorenie zástupcu na
      SFX v ponuke Štart Menu, pretože najnovšie verzie Windows 
      to prestali umožňovať.

    18. Veľkosť zväzku v archivačnom dialógu môže byť špecifikovaná
      ako s desatinnou bodkou (čiarkou v slovenských Windows)

      Prepínač príkazového riadku -v<veľkosť> umožňuje zadať číslo
      s desatinnou bodkou, ktorá je vždy použitá ako oddeľovač desatinnej
      časti. Napr. -v1.5g znamená 1,5 GB


    Zmeny vo verzii 4.01

    1. Pridaná podpora veľkostí súborov uložených v binárnom formáte v
      TAR archíve. Niektoré TAR archívy používajú binárny formát veľkosti
      namiesto oktálneho pre súbory väčšie ako 8 GB.

    2. Opravené chyby:

      a) Príkaz "Opraviť" zlyhal pri rekonštrukcii štruktúry
         RAR archívov, ktoré obsahovali aspoň jeden súbor s
         komprimovanou veľkosťou prekračujúcou 4 GB.

         Táto chyba neovplyvňovala proces opravy na báze záznamu pre
         rekonštrukciu. Stávalo sa to len v prípade, ak záznam pre
         rekonštrukciu nebol nájdený a WinRAR vykonával rekonštrukciu
         len na základe štruktúry archívu

      b) aj keď bola voľba "Nerozbaľovať cesty" v pokročilých
         nastaveniach rozbaľovacieho dialógu nastavená ako predvolená,
         WinRAR aj tak rozbaľoval cesty ak bol volaný z kontextového
         menu Prieskumníka.

      c) po zadaní nesprávneho hesla v prípade zašifrovaného ZIP
         archívu WinRAR niekedy ignoroval nasledujúce pokusy na
         zadanie správneho hesla.

      d) príkaz "Sprievodca" neumožňoval vytvoriť samorozbaľujúce a
         viaczväzkové archívy, ak sa komprimoval jeden priečinok alebo
         súbor bez prípony.

      e) príkaz "importovať nastavenia zo súboru" neobnovoval
         viacriadkové komentáre v profiloch WinRAR kompresie

      f) pri komprimácii RAR zväzkov majúcich formát názvu
         name1.name2.part#.rar, príkaz "Konvertovať archívy" chybne
         odstraňoval ".name2" časť z názvu. Takže výsledný archív mal
         názov name1.rar namiesto očakávaného name1.name2.rar

      g) RAR mohol zlyhať pri tvorbe nového archívu s prepínačom
         -agNNN ak číslo archívu v generovanom názve bolo 110 a vyššie.

      h) WinRAR zlyhal pri zobrazovaní neanglických názvov súborov v 7-Zip
         archívoch ak boli použité iné ako predvolené kódové stránky.
         Išlo len o chybu zobrazenie, názvy ako také boli rozbalené správne.


    Zmeny vo verzii 4.00

    1. Zvýšenie rýchlosti rozbaľovania formátu RAR. Podľa typu dát
      môže byť doba rozbalenia až o 30% kratšia oproti predchádzajúcim
      verziám. Toto zlepšenie pomohlo jednak obecnému algoritmu,
      ale aj špeciálnej metóde aplikácie RAR pre multimédia. Neovplyvňuje
      ale rýchlosť metódy "textové" kompresie.

    2. Zmeny v podpore formátu ISO:

      a) Podpora UDF je aktualizovaná na rev. 2.50. Tým je umožnené
         rozbalenie väčšiny Blu-ray ISO súborov;

      b) Pri prechádzaní UDF ISO súboru sa v adresnom riadku WinRAR
         aj v dialógu zobrazenia informácii o archíve za typom formátu
         "UDF" zobrazí aj číslo revízie;

      c) Pri rozbalení zložiek UDF a ISO9660 WinRAR nastaví dátum
         modifikácie priečinka podľa zdroja.

    3. Zmeny v dialógu zadanie hesla:

      a) WinRAR používa teraz rovnaký dialóg pri zbaľovaní aj rozbaľovaní.
         T.j. možnosť zobrazenia znakov hesla miesto hviezdičiek je teraz
         aj pri rozbaľovaní;

      b) "Tlačidlo "Usporiadať heslá..." umožňuje prístup k správcovi hesiel,
         v ktorom si môžete ukladať svoje obľúbené hesla. Vyberať sa dajú
         buď z rozbaľovacieho zoznamu alebo automatickým doplnením v dialógu
         zadávania. Dôležité: túto možnosť si môžete dovoliť len v počítači
         zabezpečenom pred neoprávneným prístupom, pretože uložené heslá nie
         sú kryptované žiadnou silnou šifrou;

      c) "Nová voľba "Použiť pre všetky archívy" sa môže hodiť, keď naraz
         rozbaľujete niekoľko archívov zbalených rovnakým heslom. Pokiaľ
         pri nastavení tejto možnosti je heslo prázdne, spracujú sa len
         archívy bez hesla.

    4. Vo Windows 7 sa indikátor priebehu zobrazuje aj v ikone aplikácie WinRAR
      v prúžku úloh. Tuto možnosť je možné vypnúť v "Nastavení" v záložke
      "Všeobecné" voľbou "Indikátor priebehu v prúžku úloh".

    5. Mnoho drobných vylepšení v podpore Unicode, tu je niekoľko
      najvýznamnejších:

      a) Lepšia podpora Unicode v príkazoch "Premenovanie", 
         "Konverzia archívov", "Hľadanie" a ďalších príkazoch v paneli 
         stromu zložiek, v dialógu pre vstup hesla a inde;

      b) Správne zobrazenie Unicode názvov v kontextových ponukách 
         Prieskumníka Windows;

      c) Podpora unicode v súboroch .lng umožňujúca vytvoriť lokalizáciu
         aplikácie WinRAR pre ľubovoľný jazyk.

    6. Zmeny syntaxe u prepínača "-x<súbory>". Hviezdičky a otázniky je
      teraz možne použiť aj pre vylúčenie celých priečinkov. Podmienkou
      je, aby za menom priečinka bol znak "\", napr. "-x*\temp\"

    7. V časti "Pokročilé" v dialógu pre rozbalenie je nová voľba
      "Rozbaľovať relatívne cesty”. Pokiaľ pri prezeraní archívu máte
      zobrazenú jeho vnorený priečinok, rozbalia sa pri jej zapnutí súbory
      bez cesty vedúcej k tomuto priečinku.
      Napríklad keď si v archíve prezeráte priečinok "Backup\MyData"
      a zvolíte rozbalenie priečinka "Images", vytvorí sa po rozbalení
      len priečinok "Images" miesto "Backup\MyData\Images".
      Tato voľba je teraz nastavená ako predvolená, ale môžete si ju
      vrátiť na štýl verzie 3.x tak, že v Nastavení zvolíte rozbaľovanie
      úplnej cesty a v záložke Všeobecné necháte uložiť nastavenie.

    8. Nie sú už podporované verzie Win98, WinMe, WinNT. Ani programom
      WinRAR, ani samorozbaľovacím (SFX) modulom! Pre toto prostredie
      si môžete stiahnuť z domovskej stránky verziu 3.93 z
      http://www.rarlab.com/download.htm alebo z ftp://ftp.rarlab.com/rar

    9. Keď archív uložený vo formáte TAR, TAR.GZ alebo TAR.BZ2 obsahuje
      symbolický alebo pevný odkaz (symlink/hardlink) a rozbaľuje sa
      do NTFS, WinRAR pri rozbaľovaní vytvorí aj tieto odkazy.
      Vo Windows Vista a vyššom sa symbolický a pevný odkaz rozlišujú,
      v starších verziách Windows sa vytvára vždy pevný.
      Pri rozbaľovaní do FAT32 a iných sa odkazy v TAR* preskakujú.

    10. Pri práci sa záchranným zväzkom sa značne obmedzili operácie
      hľadania, výsledkom je zlepšenie výkonu.

    11. V dialógu rozbalenia môžete v paneli stromu zvoliť použitie
      "Windows 7 library" ako predvolenú cestu pre ukladanie cieľa.

    12. Príkazom "Report" môžete zvoliť formát pre súbor s protokolom.
      Okrem doterajšieho textového formátu je podporovaný aj formát
      HTML alebo Unicode, v ktorých nedochádza ku skomoleniu mien
      obsahujúcich národne znaky.

    13. Grafický samorozbaľovací modul teraz zobrazuje len stav
      a chybové hlásenie, ale nezobrazia sa názvy súborov.
      Urýchli sa tým rozbalenie a neuniknú pozornosti riadky s chybou.

    14. Pokiaľ samorozbaľovací archív v skripte neobsahuje
      "Setup" alebo "Presetup", nie je v dialógu pre rozbalenie
      na tlačidlu nápis "Inštalovať", ale "Rozbaliť".

    15. Pri oprave archívu a použití záchranného zväzku sa nad
      indikátorom priebehu zobrazuje aj údaj v percentách.

    16. Pokiaľ je cieľový disk FAT alebo FAT32, WinRAR odmietne zadanie
      veľkosti zväzku archívu väčšej ako 4GB, pretože tieto súborové
      systémy väčšie súbory nepodporuje.

    17. Pri zapnutom čakaní na ukončení predchádzajúcej inštalácie aplikácie WinRAR
      je možné tlačidlom "Continue" (Pokračovať) čakanie prerušiť.

    18. Pri modifikácii kryptovaného RAR alebo ZIP archívu sa teraz dialóg
      pre zadanie hesla zobrazí len raz pri rozbalení a rovnaké heslo
      sa použije aj pre uloženie zmien. V starších verziách sa typicky
      požadovalo zadanie hesla dvakrát, pokiaľ neboli šifrované mena súborov.

    19. Zoznam návratových kódov v režime príkazového riadku bol rozšírený
      o kód 10 - "no files". ktorý sa vráti, pokiaľ pri archivácii,
      rozbaľovaní, oprave alebo mazaní danej maske nevyhovoval žiadny súbor.

    20. Teraz oblasť pre zobrazenie mien súborov v dialógu s dotazom
      na prepísanie súboru zaberá viac riadkov, takže aj dlhšie
      názvy súboru sa teraz zobrazia neorezané.

    21. Opravené chyby:

      a) Pri premenovaní súboru v archíve sa zmenilo meno aj u ďalších
         súborov, pokiaľ v iných priečinkoch archívu bol súbor
         s rovnakým menom;

      b) u viaczväzkových CAB archívov predošlé verzie nekorektne
         zobrazovali celkovú komprimovanú veľkosť;

      c) Príkazy "U" (update) a "R" (refresh) neaktualizovali súbory,
         ktoré boli v zdrojovom priečinku aj v archíve.
         Príkaz "A" (add to archive) fungoval správne.


    Zmeny vo verzii 3.93

    1. Boli opravene nasledujúce chyby:

      a) pri použití prepínača -xd:\cesta\priečinok v aplikácii WinRAR 3.92 sa mohlo stať, 
         že boli zo spracovania vylúčené aj priečinky, ktoré patrili k zadanej
         ceste, ale zhodoval sa len ich názov
      
      b) prepínače -y a -or nepracovali správne, pokiaľ boli zadané 
         súčasné - prepínač -or bol v takomto prípade ignorovaný.


    Zmeny vo verzii 3.92

    1. Ak spúšťate príkaz WinRAR z kontextového menu Prieskumníka
      vo viacmonitorovej konfigurácii, príkazový dialóg bude zobrazený
      na tom istom monitore ako kontextové menu.
      V predchádzajúcich verziách bol zobrazený vždy na primárnom monitore.

    2. Príkaz kontextového menu WinRAR "Zbaliť a poslať emailom..." pridáva
      meno archívu do predmetu správy. Predchádzajúce verzie nechávali predmet
      správy prázdny.

    3. V RAR 3.91 prepínač -x<mask> mohol vynechať priečinky z archivácie
      aj keď maska obsahovala znaky žolíka a neobsahovala cestu.
      Napr. -x*. vynechávala všetky tie priečinky, ktoré nemajú príponu v názve.
      Teraz prepínač -x používa prístup z RAR 3.80 pre masky bez ciest, ktorý
      vylučuje priečinky len ak maska neobsahuje žolíkov a zodpovedá názvu
      priečinka presne.

    4. Opravené chyby:

      a) WinRAR 3.91 hlásil nekorektnú chybu "Neočakávaný koniec archívu"
         pri otváraní prázdneho ZIP archívu vytvoreného príkazom kontextového
         menu "Nový WinRAR ZIP archív"

      b) ak voľba "Vymazať archív" bola povolená pri odbaľovaní viacerých
         ZIP archívov a jeden z archívov bol poškodený, WinRAR nevymazal
         archívy nasledujúce po poškodenom archíve, aj keď boli odbalené
         úspešne

      c) ak súbor zodpovedal dvom rôznym maskám v RarFiles.lst,
        WinRAR by mal zvoliť poslednú z nich. Normálne, ak nie je
        žiadna maska podmnožinou inej, musí byť vybraná prvá zhoda.


    Zmeny vo verzii 3.91

    1. WinRAR je teraz schopný dekomprimovať archívy typu 7-Zip
      vytvorené s pomocou algoritmu LZMA2.

    2. Pri extrahovaní archívov 7z sa zašifrovanými názvami súborov
      z kontextového menu sa WinRAR teraz na heslo pýta len raz.
      WinRAR 3.90 sa na heslo pýtal dvakrát.

    3. WinRAR je v tejto verzii schopný dekomprimovať archívy tar.bz2,
      skladajúce sa z niekoľkých menších spojených dátových tokov bz2.
      Predchádzajúce verzie dokázali extrahovať len prví dátový tok
      z takto zloženého archívu.

    4. WinRAR terás zobrazuje kontrolní súčet CRC32 súborov
      v archívoch .gz (ne .tar.gz). Predchádzajúce verzie tu tento
      údaj ponechávali prázdny.

    5. Boli opravene nasledujúce chyby:

      a) WinRAR 3.90 zobrazoval v dialógu "Voľba archívu"
         (voľba "Otvoriť archív" v menu "Súbor" a tlačidlo " Vyhľadať")
         namiesto tlačidla "Otvoriť" alebo "OK" tlačidlo "Uložiť";

      b) Pri prehľadávaní poškodených archívov typu ZIP mohol WinRAR
         zobrazovať nesprávne názvy súborov;

      c) WinRAR 3.90 nebol schopný dekomprimovať archívy LZH vytvorené
         algoritmom "-lh7-";

      d) WinRAR 3.90 mohol po archivácii na disku ponechať nezmazané súbory,
         ak bol zvolený spôsob mazania "Presunúť do Koša". Tato chyba sa
         prejavovala v systéme Windows XP, nie v systémoch Windows Vista
         alebo Windows 7;

      e) WinRAR 3.90 mohol po archivácii na disku ponechať nezmazané súbory,
         ak bol zvolený spôsob mazania "Presunúť do Koša". Tato chyba sa
         prejavovala v systéme Windows XP, nie v systémoch Windows Vista
         alebo Windows 7 pri extrakcii súborov typu ISO pomocou príkazu
         "Extrahovať súbory..." z kontextového menu Prieskumníka mohlo dôjsť
         k tomu, že WinRAR niektoré súbory extrahoval dvakrát. Pri pokuse
         o opakované extrahovanie súborov sa zobrazovala výzva k potvrdeniu
         prepísania súboru;

      f) hexadecimálne vyhľadávanie príkazom "Vyhľadať" v aplikácii WinRAR 3.90
         alebo príkazom "ih" v konzolovej verzie aplikácie RAR nebolo schopne nájsť
         hľadaný reťazec, pokiaľ jeho prví bajt bol väčší ako 127.


    Zmeny vo verzii 3.90

    1. WinRAR je teraz pre 32 bitové a 64 bitové verzie Windows.
      Odporúča sa používať verzie patriace k príslušnej verzii operačného systému.

    2. Bola zlepšená podpora pre viac jadier a viac procesorov.
      Nárast rýchlosti by mal byť najviac viditeľný na Windows 7.

    3. Dialóg nastavenia kompresie (Settings/Compression) sa zmenila položka
          "odstrániť zdvojené zložky pri rozbaľovaní" na "odstrániť
          viacnásobné zložky". V prípade, že archív neobsahuje žiadnu zložku,
          tak je možné "rozbaliť do ZložkyPodľaMena\".

    4. Dialógové okno "cesta a možnosti rozbalenia" (Extraction path and options)
      má zopár nových vlastností:

      a) Tlačidlo "Nová zložka" vytvára zložku v pravé vybranej zložke;

      b) Klávesovou skratkou F2 je možné premenovať pravé vybranú zložku;

      c) Klávesovou skratkou F5 je možné aktualizovať obsah zložky;

      d) Klávesovou skratkou Delete je možné odstrániť vybranou zložku.

    5. Je možné zobraziť čas vytvorenia súboru s presnosťou na sekundy
      pomocou ponuky "Nastavenia/Zoznam súborov" (Settings/File list).

    6. Je možné potlačiť detekciu samorozbaľovacích archívov pri kliknutí
      pravým tlačidlom na .exe súbor (napríklad z dôvodu pomalého sieťového pripojenia).

    7. Radenie súborov je teraz rovnaké ako v Prieskumníku Windows
      (zavedeného v XP SP2). Napríklad predtým: 1.txt, 10.txt, 2.txt,
      nová verzia: 1.txt, 2.txt, 10.txt.

    8. Klávesová skratka Ctrl-W sa používa k zatváraniu okna,
      pre prehliadač sa teraz používa skratka Ctrl-I.

    9. Bol pridaný nový prepínač -r-, ktorý zakáže explicitné rekurzívne
      prechádzanie priečinkov a pridanie ich obsahov do archívu
      'rar a -r- arc dirname' (štandardné chovanie je -r).

    10. Bol pridaný nový prepínač -ai, ktorý vynúti ignorovanie atribútov
      súborov (použijú sa štandardné systémové atribúty).

    11. Pokiaľ nie je špecifikované meno súboru rozbaľovanie archívu 
      (príkazom "cw"), tak sa poznámka zobrazí v štandardnom výstupe.

    12. Pri kompresii dát zo štandardného vstupu "-si[name]" sa čas
      vytvorenia súboru nastavuje na aktuálny čas (predtým tam bol nezmyselný čas).

    13. Pri prechádzaní kurzorom nad ikonkou v oznamovací oblasti (systray) 
      sa od novej verzie zobrazuje navyše meno archívu.

    14. Nová premenná "Shutdown" v registrovom kľúči 'Software\WinRAR\Policy' 
      umožňuje zablokovať funkciu "Vypnúť PC po ukončení" z bezpečnostných
      dôvodov

    15. Zrýchlená práca rozšírenia rozhrania. Teraz WinRAR kontextové menu
      bude reagovať rýchlejšie pri práci s tisíckami vybraných súborov.

    16. Zlepšená kompatibilita s Windows zobrazovacími módmi s väčšími hodnotami 
      DPI.
      
    17. Opravy chyb:

      a) Problémy pri rozbaľovaní tar.gz väčších ako 8 GB;
      
      b) Zobrazovanie kontextovej ponuky vo Windows 7;

      c) Premenovanie súborov s viac ako 5 po sebe idúcimi medzerami.


    Zmeny vo verzii 3.80

    1. Podporuje Unicode názvy súborov v ZIP archívoch uložených v kódovaní UTF-8.

    2. Rozbaľovanie ZIP archívov šifrovaných pomocou AES.

    3. Zlepšenie podpory Unicode v názvoch súborov v RAR aj ZIP archívov.

    4. Do archivačného dialógového okna bol pridaný dotaz na prepísanie alebo
      preskočenie súboru. Tato voľba umožňuje definovať presné
      chovanie aplikácie WinRAR, pokiaľ archív už súbory obsahuje.
      Na rozdiel od nastavenia "Fresh existing files only"
      a "Add and update files" nové nastavení nepoužíva dátum,
      ale len meno súboru. Toto je možné ovládať aj
      z príkazového riadku pomocou -o, -o- a -o+

      Ekvivalentne z príkazového riadku sú tieto režimy:

      a) prepínač -o umožňuje "Opýtať sa pred prepísaním" v režime archivovania;

      b) prepínač -o- umožňuje "Preskočiť existujúce súbory" v režime archivovania;

      c) prepínač -o+ umožňuje "Prepísať všetky" režimy (štandardne pre archivovanie).

    5. Od novej verzie je možné pridať do kontextového menu
      operačného systému odkaz pre kompresiu využívajúcu niektorý z profilov
      (napríklad "šifruj s heslom pre Petra"). 

    6. Z príkazového riadku je možné zvoliť kompresní profil pomocou parametra
      "-cp<meno profilu>" podporovane sú len GUI WinRAR.exe,
      nie rar.exe.

    7. V nastavení kompresie je možné teraz zvoliť aj možnosť
      zmazanie súborov po ich zabalení:

      a) normálnym spôsobom.

      b) presunutím do koša. Z príkazového riadku prepínačom (-dr).

      c) bezpečným zmazaním, ktoré znemožní obnovenie súboru. Z príkazového riadku prepínačom (-dw).

    8. U dialógového okna "Extraction path and options" je možné meniť veľkosť.

    9. U SFX archívoch je možné tiež nastaviť, ako sa má program chovať
      v prípade aktualizácie, ak súbory už existujú;

    10. Pri vytváraní SFX archívoch je možné v pokročilom nastavení
      SFX archívu nastaviť vytváranie ľubovoľných zástupcov (shortcusts).

    11. V menu nastavenie/bezpečnosť je možné nastaviť bezpečné
      odstraňovanie dočasných súborov.

    12. Pri rozbaľovaní viaczväzkových archívov, ak sú všetky súbory
      v jednej zložke, zobrazuje informácie o celkovom priebehu rozbaľovania.

    13. WinRAR je schopný pracovať s premennými prostrediami v zozname súborov,
      ktoré sa majú zbaliť, ako sú napríklad:

        %windir%\*.exe
        %USERPROFILE%\Desktop

      Tato vlastnosť je podporovaná len vo Windows.

    14. Bola pridaná podpora položky "extra field" v TAR archívoch.
      
    15. Bola pridaná podpora TAR archívoch, ktoré nie sú ukončené
      pomocou 512 nulových znakov.

    16. Bola zlepšená podpora Unicode v drag & drop.

    17. Bola pridaná klávesová skratka Shift-Tab pre prepínanie
      podokien v opačnom poradí ako Tab.

    18. Bola opravená chyba, ktorá mohla spôsobovať pád programu 
      pri otváraní poškodených UDF ISO súborov.
